SystemOrganization addCategory: 'OrbeonWeb'!

SewafChildComponent subclass: #OrbeonExportComposite
	instanceVariableNames: 'exportCollection exportMode'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:26'!
downloadCSV

	exportCollection isEmpty ifTrue: [^self].

	self exportToCSV: exportCollection fileNamed: 'export.csv' format: self exportCSVClass! !

!OrbeonExportComposite methodsFor: 'Accessing' stamp: 'BrunoBB 05/11/2015 07:34'!
exportCollection
	^exportCollection! !

!OrbeonExportComposite methodsFor: 'Updating' stamp: 'BrunoBB 05/11/2015 07:34'!
exportCollection: newValue
	exportCollection := newValue! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:23'!
exportCSVClass

	(exportMode = self multilineRecursiveExport) ifTrue: [^MultilineRecursiveFormExport].

	(exportMode = self singlelineRecursiveExport) ifTrue: [^SinglelineRecursiveFormExport].

	(exportMode = self singlelineSimpleExport) ifTrue: [^SinglelineSimpleFormExport].! !

!OrbeonExportComposite methodsFor: 'Accessing' stamp: 'BrunoBB 05/11/2015 07:34'!
exportMode
	^exportMode! !

!OrbeonExportComposite methodsFor: 'Updating' stamp: 'BrunoBB 05/11/2015 07:34'!
exportMode: newValue
	exportMode := newValue! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:03'!
exportToCSV: anOrderedCollection fileNamed: fileName
	| export stream |

	anOrderedCollection isEmpty ifTrue: [^self].

	export := MultilineRecursiveFormExport definition: anOrderedCollection last definition formsCollection: anOrderedCollection.
	export generatePrintArray.
	stream := export printMatrixToWriteStream.

	self sendToClientCSV: fileName, '.csv' stream: stream.! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:04'!
exportToCSV: anOrderedCollection fileNamed: fileName format: aFormExportProcessClass
	| export stream |

	anOrderedCollection isEmpty ifTrue: [^self].

	export := aFormExportProcessClass definition: anOrderedCollection last definition formsCollection: anOrderedCollection.
	export generatePrintArray.
	stream := export printMatrixToWriteStream.

	self sendToClientCSV: fileName, '.csv' stream: stream.! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:02'!
getAllExportOptions

	^Array with: self singlelineSimpleExport
				with: self singlelineRecursiveExport
				with: self multilineRecursiveExport! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:03'!
multilineRecursiveExport

	^'Multiline Recursive Export'! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:33'!
renderContentOn: html

	html form with: [
		html fieldSet with:[
			html legend with: 'Export Mode'.
			html radioGroup
				callback: [:value | exportMode := value];
				selected: exportMode;
				with: [ :group |
					self getAllExportOptions do: [:each |
						html label: [ group radioButton onChange: 'submit()'; value: each.
							html text: each]]].
			html submitButton callback: [self downloadCSV]; with: 'Download CSV'.
		].
	].! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:03'!
sendToClientCSV: fileNamed stream: aStream

	self requestContext respond: [:response | 
        response document: ((aStream contents asByteArray seasideMimeDocument) 
                                        mimeType: 'application/csv'; 
                                        fileName: fileNamed; 
                                        yourself)].! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:03'!
singlelineRecursiveExport

	^'Singleline Recursive Export'! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:03'!
singlelineSimpleExport

	^'Singleline Simple Export'! !

SewafChildComponent subclass: #OrbeonFormList
	instanceVariableNames: 'originalCollection collection searchFields description selectedCommand batchedList orderMode selectionTrack selectedVersion app exportComponent batchList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

OrbeonFormList subclass: #OrbeonFormDefinitionList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonFormDefinitionList methodsFor: 'selection' stamp: 'BrunoBB 07/13/2014 15:58'!
booleanValueForDefinition: anOrbeonFormDefinition

	^false! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 10:44'!
columnApplication

		^(SewafReportColumn selector: #getApplicationName title: 'Application' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a getApplicationName < b getApplicationName ];
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:33'!
columnCreatedTime

		^(SewafReportColumn selector: #createdTime title: 'Created' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a createdTime < b createdTime ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:32'!
columnDeleted

		^(SewafReportColumn selector: #deleted title: 'Deleted' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a deleted < b deleted ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 11:11'!
columnForm

		^(SewafReportColumn selector: #formName title: 'Form' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a formName < b formName ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:33'!
columnModifiedTime

		^(SewafReportColumn selector: #modifiedTime title: 'Modified' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a modifiedTime < b modifiedTime ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:34'!
columnModifiedUser

		^(SewafReportColumn selector: #modifiedUser title: 'Modified By' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a modifiedUser < b modifiedUser ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 02/13/2015 16:01'!
columnVersion

		^(SewafReportColumn selector: #version title: 'Version' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a version < b version];
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:51'!
editSelection
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel editDefinition: selection! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:40'!
getCollectionToExport
	| toExport |

	toExport := OrderedCollection new.
	self selectedObjects do: [:each | toExport addAll: each instances asOrderedCollection].

	^toExport! !

!OrbeonFormDefinitionList methodsFor: 'selection' stamp: 'BrunoBB 07/03/2016 11:10'!
getDefinitionsCollection

	^(collection select: [:each | self session user hasReadPermissionOn: each]) asArray! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
hide

	parent hideDefinitionList! !

!OrbeonFormDefinitionList methodsFor: 'selection' stamp: 'BrunoBB 11/01/2014 13:49'!
modifySelection: anOrbeonFormDefinition value: aBoolean

	^self registerSelection: anOrbeonFormDefinition with: aBoolean! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:53'!
new
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel newFormDefinition! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:12'!
renderContentOn: html

	self renderSidebarOn: html.

	html div id: 'orbeon-formDefinition';
		with: ["self renderFormsDefinitionOn: html"
				collection isEmpty ifTrue: [^html].
				"html image url: (SEWAFFileLibrary / #publicadosbannerPng).
				html div id: 'formularios-publicados'; with: 'Formularios Publicados'.
				html break."
				batchedList items: self getDefinitionsCollection.
				html div id: 'formularios-def-report'; with: [html render: (batchedList table: self reportDefinition)]].! !

!OrbeonFormDefinitionList methodsFor: 'selection' stamp: 'BrunoBB 07/03/2016 11:10'!
reportDefinition

	^(SewafBooleanOperationTable parent: self)
		summary: 'Designed Forms';
		buttonsFormId: 'operations-buttons';
		operations: #(#(#editSelection 'Edit') #(#new 'New') #(#synchronizeSelection 'Import Forms') #(#deleteSelection 'Delete'));
		booleanSelector: #booleanValueForDefinition:;
		callbackSelector: #modifySelection:value:;
		beSortable;
		"rows: self getDefinitionsCollection;" "get collection elements"
		columns: (OrderedCollection new  
						add: self columnForm;
						add: self columnApplication;
						add: self columnVersion;
						add: self columnCreatedTime;
						add: self columnModifiedTime;
						add: self columnModifiedUser;
						add: self columnDeleted;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!OrbeonFormDefinitionList methodsFor: 'rendering' stamp: 'BrunoBB 03/30/2014 13:43'!
style 
	^ ' body{
     background-color: #aeeeee;
 }
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }
#orbeon-formdefinition {
 }
#orbeon-formdefinition a {
     text-decoration: none;
 }
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-style:oblique;
	}
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
#content{
     font-family: arial;
     text-align: justify;
     margin-left: 5px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: #f7eeee;
 }

#tabs{
     list-style-type: none;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 100%;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 0.5em;
     padding: 0.5em;
     font-size: 12px;
     text-decoration: none
; }

#tabs li a:hover{
     font-weight: bold;
 }
 '! !

!OrbeonFormDefinitionList methodsFor: 'synchronize' stamp: 'BrunoBB 02/09/2015 12:56'!
synchronizeSelection
	"This methos is called when the user click on -Synchronize- button for the selected OrbeonFormDefinition."
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel synchronize: selection! !

OrbeonFormList subclass: #OrbeonFormInstanceDefList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonFormInstanceDefList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
renderContentOn: html

	self renderSidebarOn: html.

	html div id: 'orbeon-formInstances';
		with: ["self renderFormsInstancesOn: html"
				html heading level3; with: 'Formularios en Diseo'.
				html render: self reportDefinition].! !

!OrbeonFormInstanceDefList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:58'!
reportDefinition

	^WATableReport new
		rows: collection asArray; "get collection elements"
		columns: (OrderedCollection new 
						add: (SewafReportColumn selector: #shortId title: 'Id' onClick: [:each | ] );
						add: (SewafReportColumn selector: #app title: 'Application');
						add: (SewafReportColumn selector: #form title: 'Form');
						add: (SewafReportColumn selector: #modifiedTime title: 'Modified Time');
						add: (SewafReportColumn selector: #modifiedUser title: 'Modified By');
						add: (SewafReportColumn selector: #username title: 'User');
						add: (SewafReportColumn selector: #groupname title: 'Group');
						add: (SewafReportColumn selector: #deleted title: 'Deleted');
						yourself);
		rowColors: #(lightblue lightyellow);
		rowPeriod: 1;
		yourself! !

OrbeonFormList subclass: #OrbeonFormInstanceList
	instanceVariableNames: 'selectedSearchField initialSearchField endSearchField initialSearch endSearch form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 04/01/2015 16:11'!
allArrayText

	^Array with: self allText! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 04/01/2015 16:11'!
allText

	^'-All-'! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 07/13/2014 20:07'!
booleanValueForDefinition: aBoolean

	^false! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:00'!
dbReportColumns

	^OrderedCollection new 
		add: (SewafReportColumn selector: #shortId title: 'Id' onClick: [:each | ] );
		add: (SewafReportColumn selector: #createdTime title: 'Created');
		add: (SewafReportColumn selector: #modifiedTime title: 'Modified Time');
		add: (SewafReportColumn selector: #modifiedUser title: 'Modified By');
		add: (SewafReportColumn selector: #username title: 'User');
		add: (SewafReportColumn selector: #groupname title: 'Group');
		add: (SewafReportColumn selector: #deleted title: 'Deleted');
		add: ((SewafReportColumn renderBlock: [:each :html | html anchor callback: [self topPanel viewInstance: each]; with: [html image url: (SEWAFFileLibrary / #view24Png)]] title: 'View') sortBlock: nil; yourself);
		add: ((SewafReportColumn renderBlock: [:each :html | html anchor callback: [self topPanel editInstance: each]; with: [html image url: (SEWAFFileLibrary / #edit24Png)]] title: 'Edit') sortBlock: nil; yourself);
		add: ((SewafReportColumn renderBlock: [:each :html | html anchor callback: [self topPanel deleteInstance: each]; with: [html image url: (SEWAFFileLibrary / #remove24Png)]] title: 'Del') sortBlock: nil; yourself);
		yourself! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:48'!
edit
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel editInstance: selection! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
endSearch

   "Return the value of the instance variable 'endSearch'."
   ^endSearch! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
endSearch: newValue

   "Modify the value of the instance variable 'endSearch'."
   endSearch := newValue! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
endSearchField

   "Return the value of the instance variable 'endSearchField'."
   ^endSearchField! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
endSearchField: newValue

   "Modify the value of the instance variable 'endSearchField'."
   endSearchField := newValue! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 15:08'!
exportToCSV

	exportComponent := exportComponent 
		ifNil: [(OrbeonExportComposite parent: self) exportCollection: collection; yourself]
		ifNotNil: [exportComponent answer. nil]

	"self topPanel exportToCSV: batchedList items fileNamed: description trimBlanks"! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/31/2015 14:16'!
form

   "Return the value of the instance variable 'form'."
   ^form! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/31/2015 14:16'!
form: newValue

   "Modify the value of the instance variable 'form'."
   form := newValue! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 15:04'!
getCollectionToExport

	^collection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
hide

	parent hideInstanceList! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
initialSearch

   "Return the value of the instance variable 'initialSearch'."
   ^initialSearch! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
initialSearch: newValue

   "Modify the value of the instance variable 'initialSearch'."
   initialSearch := newValue! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
initialSearchField

   "Return the value of the instance variable 'initialSearchField'."
   ^initialSearchField! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
initialSearchField: newValue

   "Modify the value of the instance variable 'initialSearchField'."
   initialSearchField := newValue! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:42'!
modifySelection: anOrbeonFormDefinition value: aBoolean

	^self registerSelection: anOrbeonFormDefinition with: aBoolean! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/04/2016 13:53'!
onVersionChanged: value
	| definition |

	exportComponent := exportComponent ifNotNil: [exportComponent answer. nil].

	selectedVersion := value.

	definition := self getOrbeonApplicationClass getLastPublishedDefinitionNamed: form fromApplicationNamed: app withVersion: selectedVersion ifNone: [nil].

	definition isNil "-all- was selected"
	ifTrue: [self setCollection: (self getOrbeonApplicationClass getAllInstancesOf: app definitionNamed: form)]
	ifFalse: [self setCollection: (definition registry getAllInstancesOf: selectedVersion)].! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:17'!
renderContentOn: html
	| tableReport |

	description := app, ' . ', form.

	self renderSidebarOn: html.

	tableReport := self reportDefinition.
	batchedList items: collection asArray. "we assign the collection instances to the component [OrbeonFormDefinition instances] "
	html div id: 'orbeon-formInstances';
		with: ["collection isEmpty ifTrue: [^html]."
				html div id: 'search-form';
					with: [self renderSearchFieldsOn: html].
				html div id: 'search-version'; with: [self renderVersionCombonOn: html.].
				html div id: 'formularios-inst-report'; with: [html render: (batchedList table: tableReport)].
					].
	html div id: 'export-component'; with: [exportComponent ifNotNil: [html render: exportComponent]].
	html div id: 'back-arrow'; with: 
		[html anchor callback: [self hide];
			with: [html image  url: (SEWAFFileLibrary / #arrowback4iconPng); altText: 'Back to Definitions'; title: 'Back to Definitions']].! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:14'!
renderContentOn2: html
	| tableReport |

	description := app, ' . ', form.

	self renderSidebarOn: html.

	tableReport := self reportDefinition.
	batchedList items: collection asArray. "we assign the collection instances to the component [OrbeonFormDefinition instances] "
	batchedList batchSize: 10.
	tableReport rows: batchedList batch.
	html div id: 'orbeon-formInstances';
		with: ["collection isEmpty ifTrue: [^html]."
				html div id: 'search-form';
					with: [self renderSearchFieldsOn: html].
				html div id: 'search-version'; with: [self renderVersionCombonOn: html.].
				html div id: 'formularios-inst-report'; with: [
					html render: tableReport.
					html render: batchedList].
					].
	html div id: 'export-component'; with: [exportComponent ifNotNil: [html render: exportComponent]].
	html div id: 'back-arrow'; with: 
		[html anchor callback: [self hide];
			with: [html image  url: (SEWAFFileLibrary / #arrowback4iconPng); altText: 'Back to Definitions'; title: 'Back to Definitions']].! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 04/03/2015 09:31'!
renderSearchFieldsOn: html

	html form id: 'form-search';
	with: [html fieldSet
		with:[
			html legend with: 'Search Form'.
			html label for: 'searchFields'; with: 'Field'.
			html select 
				list: self selectedDefinition searchFields;
				callback: [:value | self selectedSearchField: value];
				selected: selectedSearchField; 
				id: 'searchFields';
				onChange: 'submit()'. "this cause the page to render again and then we apply the 'hidden class' "
			html label for: 'initSearch'; with: 'From'.
			initialSearchField := html textInput id: 'initSearch'; title: 'Search'; yourself.
			initialSearchField callback: [:value | initialSearch := value]. "we store the entered filter on <searchFields>"
			(parent selectedFieldHasRangeSearch: selectedSearchField) "we get the type"
			ifTrue: [html label for: 'endSearch'; with: 'To'.
				endSearchField := html textInput id: 'endSearch'; title: 'Search'; yourself.
				endSearchField callback: [:value | endSearch := value].] "we store the entered filter on <searchFields>"
			ifFalse: [endSearchField := nil].
			html div id: 'search-buttons';
				with: [html submitButton callback: [self searchForm]; with: 'Search'].
						html submitButton callback: [self exportToCSV]; with: 'Export']].! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 10:51'!
renderVersionCombonOn: html
	| application registry versions |

	application := self getOrbeonApplicationClass applicationNamed: self selectedDefinition getApplicationName ifNone: [^self].
	registry := application registryForFormNamed: self selectedDefinition formName ifNone: [^self].

	versions := self allArrayText ,registry getCurrentVersionNumbers.

	html form id: 'form-version-search';
	with: [html fieldSet
		with:[
			html label for: 'versions'; with: 'Version'.
			html select 
				list: versions;
				callback: [:value | self onVersionChanged: value];
				selected: (selectedVersion ifNil: [versions first]); 
				id: 'versions';
				onChange: 'submit()'. "this cause the page to render again "]].! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:48'!
reportDefinition

	^(SewafBooleanOperationTable parent: self)
		summary: 'Forms';
		buttonsFormId: 'operations-buttons-inst';
		operations: #(#(#edit 'Edit') #(#view 'View') #(#viewPdf 'PDF') #(#delete 'Delete'));
		booleanSelector: #booleanValueForDefinition:;
		callbackSelector: #modifySelection:value:;
		beSortable;
		rows: collection asArray; "get collection elements"
		columns: self xmlReportColumns;
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 15:15'!
searchByRange
	| filterCollection |

	exportComponent := exportComponent ifNotNil: [exportComponent answer. nil].

	filterCollection := OrderedCollection new.

	filterCollection addAll: (originalCollection select: [:each | 
			(Number readFrom: initialSearch) <=  (each valueAt: selectedSearchField)
				and:[(each valueAt: selectedSearchField) <=  (Number readFrom: endSearch)]]).

	searchFields := Dictionary new.
	collection := filterCollection asSet asOrderedCollection.
	batchedList items: collection asArray.
	^collection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 15:15'!
searchEqual
 	| filterCollection |
 
	exportComponent := exportComponent ifNotNil: [exportComponent answer. nil].

 	batchedList items isEmpty ifTrue: [^self].
 
 	filterCollection := OrderedCollection new.
 
 	filterCollection addAll: (batchedList items select: [:each | initialSearch match: (each valueAt: selectedSearchField)]).
 
 	searchFields := Dictionary new.
 	collection := filterCollection asSet asOrderedCollection.
 	batchedList items: collection asArray.
 	^collection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 11:13'!
searchEqual2
	| filterCollection fieldInstances |

	exportComponent := exportComponent ifNotNil: [exportComponent answer. nil].
	originalCollection isEmpty ifTrue: [^self].

	fieldInstances := originalCollection first definition fieldInstancesOf: selectedSearchField.

 	filterCollection := OrderedCollection new.

	fieldInstances := fieldInstances select: {:each | each.value = initialSearch}. "query using a SelectionBlock -Page 116 Prog Guide GS 3.1-"
	filterCollection addAll: (fieldInstances collect: [:each | each formName]).

	searchFields := Dictionary new.
 	collection := filterCollection asSet asArray.
 	batchedList items: collection.
	batchedList currentPage: 1.
	^collection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:45'!
searchForm
	"Search in the list of object which object answer true to the entered filter"

	endSearchField ifNil: [^self searchEqual2].

	^self searchByRange! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
selectedSearchField

   "Return the value of the instance variable 'selectedSearchField'."
   ^selectedSearchField! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
selectedSearchField: newValue

   "Modify the value of the instance variable 'selectedSearchField'."
   selectedSearchField := newValue.! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
showRanges

	self inform: 'test'! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
showRanges: arg

	self inform: arg printString! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 07/04/2014 17:20'!
sortBlockForInstances: value
	
	^[:a : b | | valueA valueB |
		valueA := a valueAt: value.
		valueB := b valueAt: value.
		(valueA notNil and: [valueB notNil]) 
		ifTrue: [valueA <= valueB] 
		ifFalse:[valueA notNil ]
		]! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
style
 ^ '
 body{
     background-color: #aeeeee;
 }
th, td {
	background-color: black;
}
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 5px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: #f7eeee;
 }

#tabs{
     list-style-type: none;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 100%;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 0.5em;
     padding: 0.5em;
     font-size: 12px;
     text-decoration: none
; }

#tabs li a:hover{
     font-weight: bold;
 }
 '! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:48'!
view
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel viewInstance: selection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:48'!
viewPdf
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel viewPDFInstance: selection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/01/2015 06:14'!
xmlReportColumns
	| columns formDefinition |

	columns := OrderedCollection new.
	collection isEmpty ifTrue: [^collection].
	formDefinition := (collection at: 1) definition.
	formDefinition summaryFields do: [:value | | column | "we set labels for the titles of the report"
		column := SewafReportColumn 
						renderBlock: [:each :html | | fieldValue |
							fieldValue := each valueAt: value.
							fieldValue ifNil: [fieldValue := ''].
							fieldValue isEmpty ifFalse: [html anchor callback: [self topPanel viewInstance: each]; with: fieldValue].
							] 
						title: (formDefinition labelAt:value).
		column sortBlock: (self sortBlockForInstances: value);
			beSortable.
		columns add: column].

	^columns! !

!OrbeonFormList class methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
on: collection

	^super new initialize
		collection: collection;
		originalCollection: collection;
		yourself! !

!OrbeonFormList class methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
parent: aWAComponent on: aCollection

	^(self on: aCollection)
			parent: aWAComponent;
			originalCollection: aCollection;
			yourself! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/31/2015 14:16'!
app

   "Return the value of the instance variable 'app'."
   ^app! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/31/2015 14:16'!
app: newValue

   "Modify the value of the instance variable 'app'."
   app := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
batchedList

   "Return the value of the instance variable 'batchedList'."
   ^batchedList! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
batchedList: newValue

   "Modify the value of the instance variable 'batchedList'."
   batchedList := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 07/03/2016 11:01'!
batchList
	^batchList! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 07/03/2016 11:01'!
batchList: newValue
	batchList := newValue! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 11/19/2014 12:43'!
clearSelectionTrack

	selectionTrack := Dictionary new.! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
collection

   "Return the value of the instance variable 'collection'."
   ^collection! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
collection: newValue

   "Modify the value of the instance variable 'collection'."
   collection := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
description

   "Return the value of the instance variable 'description'."
   ^description! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
description: newValue

   "Modify the value of the instance variable 'description'."
   description := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 07/03/2016 11:01'!
exportComponent
	^exportComponent! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 07/03/2016 11:01'!
exportComponent: newValue
	exportComponent := newValue! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
hide

	self subclassResponsibility! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:08'!
initialize

	super initialize.

	collection := OrderedCollection new.
	originalCollection := OrderedCollection new.
	searchFields := Dictionary new.
	orderMode := #asc.
	selectionTrack := Dictionary new.

	batchedList := SewafBatchedList parentComponent: self.

	batchedList batchSize: 10;
		isBottomBatch: true;
		navigationCssClass: 'batch-div-bottom'.! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/31/2014 15:03'!
newCommandButton: command permissionMethod: permissionSymbol imageName: symbolImage title: aString altText: altText

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				"(self session user perform: permissionSymbol with: each)
				ifTrue: ["html anchor callback: [self topPanel perform: command with: each]; 
											with: [html image url: (SEWAFFileLibrary / symbolImage); title: altText; altText: altText]"]
				ifFalse: []"] 
			title: aString) sortBlock: nil; 
			yourself! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:49'!
orderMode

   "Return the value of the instance variable 'orderMode'."
   ^orderMode! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:49'!
orderMode: newValue

   "Modify the value of the instance variable 'orderMode'."
   orderMode := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
originalCollection

   "Return the value of the instance variable 'originalCollection'."
   ^originalCollection! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
originalCollection: newValue

   "Modify the value of the instance variable 'originalCollection'."
   originalCollection := newValue! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 07/13/2014 18:23'!
registerSelection: anObject with: aBoolean

	^selectionTrack at: anObject put: aBoolean! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
renderSidebarOn: html! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
searchFields

   "Return the value of the instance variable 'searchFields'."
   ^searchFields! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
searchFields: newValue

   "Modify the value of the instance variable 'searchFields'."
   searchFields := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
selectedCommand

   "Return the value of the instance variable 'selectedCommand'."
   ^selectedCommand! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
selectedCommand: newValue

   "Modify the value of the instance variable 'selectedCommand'."
   selectedCommand := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 04/03/2015 09:30'!
selectedDefinition

	^parent selectedDefinition! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:50'!
selectedObjects

	^collection select: [:each | selectionTrack at: each]! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/31/2015 13:47'!
selectedVersion

   "Return the value of the instance variable 'selectedVersion'."
   ^selectedVersion! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/31/2015 13:47'!
selectedVersion: newValue

   "Modify the value of the instance variable 'selectedVersion'."
   selectedVersion := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 07/13/2014 18:22'!
selectionTrack

   "Return the value of the instance variable 'selectionTrack'."
   ^selectionTrack! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 07/13/2014 18:22'!
selectionTrack: newValue

   "Modify the value of the instance variable 'selectionTrack'."
   selectionTrack := newValue! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/01/2015 06:07'!
setCollection: newValue
   "Modify the value of the instance variable 'collection'."

	collection := newValue.
	originalCollection := newValue.! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:50'!
sortColumn: sortBlock orderMode: aSymbol

	collection :=  (aSymbol = #asc) ifTrue: [(collection asSortedCollection: sortBlock) reverse] ifFalse: [collection asSortedCollection: sortBlock].! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
topPanel

	^parent topPanel! !

SewafChildComponent subclass: #WAOrbeonApplicationsComposite
	instanceVariableNames: 'summaryArena'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonApplicationsComposite methodsFor: 'other' stamp: 'BrunoBB 07/29/2016 08:52'!
renderContentOn: html

	summaryArena ifNil: [summaryArena := WAOrbeonApplicationSummary parent: self].

	html div id: 'content'; 
				with: [html render: summaryArena].! !

!WAOrbeonApplicationsComposite methodsFor: 'Accessing' stamp: 'BrunoBB 07/03/2016 09:38'!
summaryArena
	^summaryArena! !

!WAOrbeonApplicationsComposite methodsFor: 'Updating' stamp: 'BrunoBB 07/03/2016 09:38'!
summaryArena: newValue
	summaryArena := newValue! !

SewafChildComponent subclass: #WAOrbeonDbImportReport
	instanceVariableNames: 'importedData'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

WAOrbeonDbImportReport subclass: #WAApplicationImportReport
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAApplicationImportReport commentStamp: '' prior: 0!
importedData - aDictionary where each key is the app name and value is a Dictionary where the key is the form name and the value is an ordered collection of form instances.!

!WAApplicationImportReport methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 11:32'!
generateReportIn: anOrderedCollection

	importedData keysAndValuesDo: [:appKey :appDict |
		appDict keysAndValuesDo: [:formKey :value | | rowReport definition |
			rowReport := FormImportReport app: appKey form: formKey.
			rowReport numberOfForms: value size.
			anOrderedCollection add: rowReport.
			definition := (self getOrbeonApplicationClass applicationNamed: appKey) definitionNamed: formKey.
			definition getFieldsWithHyphen do: [:eachField | | warning |
				warning := FormImportWarning report: rowReport fieldName: formKey.
				warning warningDetails: 'Field name [', eachField name, '] has hyphen character.'.
				rowReport addWarning: warning]]].! !

WAOrbeonDbImportReport subclass: #WADefinitionImportReport
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WADefinitionImportReport commentStamp: '' prior: 0!
importedData - is a Dictionary where the key is the form name and the value is an ordered collection of form instances.!

!WADefinitionImportReport methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 11:11'!
generateReportIn: anOrderedCollection

	importedData do: [:each | | rowReport definition |
		rowReport := FormImportReport app: each app form: each formName.
		rowReport numberOfForms: 1.
		anOrderedCollection add: rowReport.
		each definition getFieldsWithHyphen do: [:eachField | | warning |
			warning := FormImportWarning report: rowReport fieldName: eachField name.
			warning warningDetails: 'Field name [', eachField name, '] has hyphen character.'.
			rowReport addWarning: warning]].! !

!WAOrbeonDbImportReport class methodsFor: 'other' stamp: 'BrunoBB 03/03/2015 12:57'!
importedData: aDictionary

	^super new initialize
		importedData: aDictionary;
		yourself! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 10:44'!
createApplicationNameRowReport

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each getApplicationName]
			title: 'Application Name')! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 08:19'!
createFormInstancesRowReport

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each numberOfForms]
			title: 'Number of Instances')! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 11:11'!
createFormNameRowReport

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each formName]
			title: 'Form Name')! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 09:17'!
createWarningButton

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				each hasWarnings ifTrue: [
					html anchor callback: [self showWarningsOf: each]; 
									with: [html image url: (SEWAFFileLibrary / #warningiconPng); 
															title: 'View Warnings'; 
															altText: 'View Warnings'.]]] 
				title: '!!') sortBlock: nil; 
			yourself! !

!WAOrbeonDbImportReport methodsFor: 'Accessing' stamp: 'BrunoBB 03/03/2015 12:57'!
importedData

   "Return the value of the instance variable 'importedData'."
   ^importedData! !

!WAOrbeonDbImportReport methodsFor: 'Updating' stamp: 'BrunoBB 03/03/2015 12:57'!
importedData: newValue

   "Modify the value of the instance variable 'importedData'."
   importedData := newValue! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/03/2015 12:59'!
initialize

	super initialize.

	importedData := Dictionary new.! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:10'!
renderContentOn: html
	| importedObjects |

	importedObjects := OrderedCollection new.

	self generateReportIn: importedObjects.

	html div id: 'imported-data'; with: [
		html render: (self reportTableFor: importedObjects).

		html anchor callback: [self answer: true. parent refresh];
			with: [html image  url: (SEWAFFileLibrary / #arrowback4iconPng); altText: 'Back to Definitions'; title: 'Back to Definitions'].
	]! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 06/12/2016 12:48'!
reportTableFor: anOrderedCollection

	^(SewafSelectTableReport summary: 'Imported Definitions')
		rows: anOrderedCollection; "get collection elements"
		selectedColor: self session user userOptions getSelectTableSelectedColor;
		nonSelectedColor: self session user userOptions getSelectTableNonSelectedColor;
		columns: (OrderedCollection new 
						add: self createApplicationNameRowReport;
						add: self createFormNameRowReport;
						add: self createFormInstancesRowReport;
						add: self createWarningButton;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:38'!
showWarningsOf: aFileImportReport

	self show: ((WAOrbeonWarningReport parent: self) 
							warnings: aFileImportReport warnings;
							yourself).! !

SewafChildComponent subclass: #WAOrbeonSummary
	instanceVariableNames: 'definitionsArea instancesArea selectedApplication isDefinitionSide selectedDefinition appList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

WAOrbeonSummary subclass: #WAOrbeonInCreationSummary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonInCreationSummary methodsFor: 'other' stamp: 'BrunoBB 11/27/2013 14:58'!
initialize

	super initialize.

	instancesArea := OrbeonFormInstanceDefList parent: self.! !

!WAOrbeonInCreationSummary methodsFor: 'other' stamp: 'BrunoBB 12/14/2013 12:54'!
renderContentOn: html

	html div id: 'orbeon-applications';
		with: ["html render: self reportApplications."
				self renderComboOn: html.].
	
	html div id: 'orbeon-instances-def';
		with: [html render: instancesArea.].! !

!WAOrbeonInCreationSummary methodsFor: 'other' stamp: 'BrunoBB 11/28/2013 16:17'!
renderFormDefinitionFor: anOrbeonApplication! !

!WAOrbeonInCreationSummary methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 10:51'!
renderFormInstanceFor: anOrbeonFormDefinition
	| formDefinitions |

	formDefinitions := self model getAllEditionVersion.

	instancesArea collection: (formDefinitions select: [:each | each getApplicationName = anOrbeonFormDefinition getApplicationName]).! !

WAOrbeonSummary subclass: #WAOrbeonInEditionSummary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonInEditionSummary methodsFor: 'other' stamp: 'BrunoBB 12/06/2013 15:40'!
initialize

	super initialize.

	definitionsArea := OrbeonFormDefinitionList parent: self.! !

!WAOrbeonInEditionSummary methodsFor: 'other' stamp: 'BrunoBB 12/14/2013 12:53'!
renderContentOn: html

	html div id: 'orbeon-applications';
		with: ["html render: self reportApplications."
				self renderComboOn: html.].
	
	html div id: 'orbeon-definitions';
		with: [html render: definitionsArea].! !

!WAOrbeonInEditionSummary methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 10:50'!
renderFormDefinitionFor: anOrbeonFormDefinition
	| formDefinitions |

	formDefinitions := self model getAllDefinitionsInEdition.

	definitionsArea collection: (formDefinitions select: [:each | each getApplicationName = anOrbeonFormDefinition getApplicationName]).! !

!WAOrbeonInEditionSummary methodsFor: 'other' stamp: 'BrunoBB 12/06/2013 15:43'!
renderFormInstanceFor: anOrbeonFormInstance
	| formInstances |

	"formInstances := self model getAllDefinitionsInEdition.
	instancesArea collection: (formInstances select: [:each | each app = anOrbeonFormInstance app]).
"! !

WAOrbeonSummary subclass: #WAOrbeonPublishedSummary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonPublishedSummary methodsFor: 'other' stamp: 'BrunoBB 11/28/2013 15:00'!
initialize

	super initialize.

	definitionsArea := OrbeonFormDefinitionList parent: self.
	instancesArea := OrbeonFormInstanceList parent: self.! !

!WAOrbeonPublishedSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:24'!
renderContentOn: html

	super renderContentOn: html.! !

!WAOrbeonPublishedSummary methodsFor: 'other' stamp: 'BrunoBB 03/05/2015 13:19'!
renderFormDefinitionFor: anOrbeonApplication

	anOrbeonApplication ifNil: [^self].
	definitionsArea setCollection: anOrbeonApplication getLastDefinitions;
		clearSelectionTrack.! !

!WAOrbeonPublishedSummary methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 10:50'!
renderFormInstanceFor: anOrbeonFormDefinition

"	anOrbeonFormDefinition isPublished ifFalse: [^self inform: 'This form is Edition and has not been Published yet !!']."

	selectedDefinition := anOrbeonFormDefinition.
	instancesArea app: anOrbeonFormDefinition getApplicationName;
		form: anOrbeonFormDefinition formName;
		selectedVersion: anOrbeonFormDefinition version;
		setCollection: anOrbeonFormDefinition instances asArray. "set the Web Grid with instances of the receiver"

	definitionsArea hide.! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 11:31'!
applicationsForCurrentUser

	^self getOrbeonApplicationCache select: [:each | each hasReadAccess: self session user]! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
appList

   "Return the value of the instance variable 'appList'."
   ^appList! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
appList: newValue

   "Modify the value of the instance variable 'appList'."
   appList := newValue! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
definitionsArea

   "Return the value of the instance variable 'definitionsArea'."
   ^definitionsArea! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
definitionsArea: newValue

   "Modify the value of the instance variable 'definitionsArea'."
   definitionsArea := newValue! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
hasSelectedApplication

	^selectedApplication notNil! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
hideDefinitionList

	isDefinitionSide := false! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
hideInstanceList

	isDefinitionSide := true! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 03/04/2015 03:43'!
importNewApplications
	| importedData |

	importedData := parent importNewApplications.

	self show: ((WAApplicationImportReport parent: self) 
							importedData: importedData;
							yourself).! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
initialize

	super initialize.

	isDefinitionSide := true.! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
instancesArea

   "Return the value of the instance variable 'instancesArea'."
   ^instancesArea! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
instancesArea: newValue

   "Modify the value of the instance variable 'instancesArea'."
   instancesArea := newValue! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
isDefinitionSide

   "Return the value of the instance variable 'isDefinitionSide'."
   ^isDefinitionSide! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
isDefinitionSide: newValue

   "Modify the value of the instance variable 'isDefinitionSide'."
   isDefinitionSide := newValue! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
model

	^parent model! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 07/03/2016 09:36'!
onSelectedApplicationChanged: value

	selectedApplication := self getOrbeonApplicationClass applicationNamed: value ifNone: [^nil].

	self renderFormDefinitionFor: selectedApplication! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 03/03/2015 14:00'!
refresh

	self renderFormDefinitionFor: selectedApplication! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 02/08/2016 12:47'!
renderComboOn: html

	html form
	with: [
		html fieldSet
		with: [
			html legend with: 'Applications'.
			html select list: appList; title: 'Applications';
				callback: [:value | self onSelectedApplicationChanged: value];
				selected: (selectedApplication ifNotNil: [selectedApplication applicationName] ifNil: ['']);
				onChange: 'submit()'.
			html submitButton callback: [self importNewApplications];
									with: 'Import New Applications'.
			html submitButton callback: [self updateApplication: selectedApplication];
				with: 'Import New Definitions'.
				]
		].! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 12:47'!
renderContentOn: html

	appList := (self applicationsForCurrentUser collect: [:e | e applicationName]) asSortedCollection.

	html div id: 'orbeon-applications';
		with: [isDefinitionSide ifTrue: [self renderComboOn: html].].

	(appList size = 1) ifTrue: [selectedApplication := self getOrbeonApplicationClass applicationNamed: appList last.
										self renderFormDefinitionFor: selectedApplication].

	isDefinitionSide ifTrue: [html div id: 'orbeon-definitions';
			with: [html render: definitionsArea].].

	isDefinitionSide ifFalse: [html div id: 'orbeon-instances';
		with: [html render: instancesArea.].].! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
renderFormDefinitionFor: anOrbeonApplication

	self subclassResponsibility! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
renderFormInstanceFor: anOrbeonFormDefinition

	self subclassResponsibility! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 11:15'!
reportApplications

	^WATableReport new
		rows: self getOrbeonApplicationCache asArray; "get collection elements"
		columns: (OrderedCollection new 
						add: (SewafReportColumn selector: #app title: 'Applications' onClick: [:each | self renderFormDefinitionFor: each] );
						add: ((SewafReportColumn renderBlock: [:each :html | html anchor callback: [parent synchronize: each]; with: [html image url: (SEWAFFileLibrary / #synchronize24Png)]] title: 'Sync') sortBlock: nil; yourself);
						yourself);
		rowColors: (Array with: #lightblue with: #'rgb(242, 248, 240)');
		rowPeriod: 1;
		yourself! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedApplication

   "Return the value of the instance variable 'selectedApplication'."
   ^selectedApplication! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedApplication: newValue

   "Modify the value of the instance variable 'selectedApplication'."
   selectedApplication := newValue! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedDefinition

   "Return the value of the instance variable 'selectedDefinition'."
   ^selectedDefinition! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedDefinition: newValue

   "Modify the value of the instance variable 'selectedDefinition'."
   selectedDefinition := newValue! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedFieldHasRangeSearch: fieldName

	selectedDefinition ifNil: [^true].

	^selectedDefinition hasRangeSearch: fieldName.! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
style
 ^ '
#orbeon-section{
	margin-left: 150px;
}
#orbeon-definitions {
	margin-left: 100px;
	margin-top: -240px;
}
#orbeon-instances {
	margin-left: 100px;
}
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-size: 20px;
	font-color: red;
	}
 body{
     background-color: rgb(223, 228, 206);
 }
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
td, th {
	display: table-cell;
	vertical-align: inherit;
	border-style: groove;
}
#sidebar {
	height: 400px;
	width: 150px;
	position: fixed;
	background-color: lightgray;
	}
#tabs-section {
	margin-top: 70px;
	margin-left: 150px;
}
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 150px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: silver;
 }

#tabs{
    list-style-type: none;
	margin-left: -40px;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none
; }

#tabs li a:hover{
     /*font-weight: bold; */
     background-color: lightgreen;
 }
 '! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
topPanel

	^parent! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 03/03/2015 13:59'!
updateApplication: anOrbeonApplication
	| importedObjects |

	importedObjects := self topPanel updateApplication: anOrbeonApplication.

	self show: ((WADefinitionImportReport parent: self) 
							importedData: importedObjects;
							yourself).! !

SewafChildComponent subclass: #WAOrbeonWarningReport
	instanceVariableNames: 'warnings'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonWarningReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:36'!
createFieldWarning

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each warning]
			title: 'Warning')! !

!WAOrbeonWarningReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:36'!
createFormNameRowReport

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each field]
			title: 'Field Name')! !

!WAOrbeonWarningReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:34'!
renderContentOn: html

	html div id: 'imported-data'; with: [
		html render: self reportWarningsTable.

		html anchor callback: [self answer: true];
			with: [html image  url: (SEWAFFileLibrary / #arrowback4iconPng); altText: 'Back to Definitions'; title: 'Back to Definitions'].
	]! !

!WAOrbeonWarningReport methodsFor: 'other' stamp: 'BrunoBB 06/12/2016 12:48'!
reportWarningsTable

	^(SewafSelectTableReport summary: 'Warnings')
		rows: warnings; "get collection elements"
		selectedColor: self session user userOptions getSelectTableSelectedColor;
		nonSelectedColor: self session user userOptions getSelectTableNonSelectedColor;
		columns: (OrderedCollection new 
						add: self createFormNameRowReport;
						add: self createFieldWarning;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!WAOrbeonWarningReport methodsFor: 'Accessing' stamp: 'BrunoBB 03/04/2015 14:33'!
warnings

   "Return the value of the instance variable 'warnings'."
   ^warnings! !

!WAOrbeonWarningReport methodsFor: 'Updating' stamp: 'BrunoBB 03/04/2015 14:33'!
warnings: newValue

   "Modify the value of the instance variable 'warnings'."
   warnings := newValue! !

SEWAFWebAbstractPanel subclass: #OrbeonChartPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonChartPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:08'!
answer

	self answer: true! !

!OrbeonChartPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:08'!
renderContentOn: html

	"html div id: 'user-rol-area';
		with: [html heading level2 with: 'Lista de Usuarios'.
			html div id: 'user-list'; with: [
				html form with: [
					html render: self listOfUsuarios3.
					html div id: 'buttons'; with: [
						html submitButton callback: [self addUser]; with: 'Add User'.
						html break.
						html submitButton callback: [self removeUser]; with: 'Remove User'.].
					]
				].
			html div id: 'rols-list'; with: [
				html render: rolsComponent.].
			html div id: 'rol-type-list'; with: [
				selectedUser ifNotNil: [self renderRoleTypeOn: html]]]."
	html div id: 'close';
		with: [html anchor
				callback: [ self answer ];
				with: 'Volver al Administrador']! !

SEWAFWebAbstractPanel subclass: #OrbeonFormDefinitionSummaryPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 07/13/2014 15:03'!
answer

	super answer.

	^model! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:55'!
fieldLabelColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | | label |
					label := self model labelAt: each.
					label  := (label size > 20) ifTrue: [label first: 20] ifFalse: [label].
					html text: label.
					"ifFalse: [html anchor callback: [self showRolsFor: each]; with: each name ]" ]
			title: 'Label')! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:55'!
fieldNameColumn

	^self fieldNameColumnAs:  'Name'! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 03/31/2014 15:36'!
fieldNameColumnAs: aString

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each
					"ifFalse: [html anchor callback: [self showRolsFor: each]; with: each name ]" ]
			title: aString)! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:55'!
fieldTypeColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: (self model typeOf: each)
					"ifFalse: [html anchor callback: [self showRolsFor: each]; with: each name ]" ]
			title: 'Type')! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 06/12/2016 12:47'!
listOfFieldNames

	^(SewafSelectTableReport summary: 'Form Fields')
		rows: model getFieldsNames asSortedCollection; "get collection elements"
		selectedColor: self session user userOptions getSelectTableSelectedColor;
		nonSelectedColor: self session user userOptions getSelectTableNonSelectedColor;
		columns: (OrderedCollection new 
						add: self fieldNameColumn;
						add: self fieldTypeColumn;
						add: self fieldLabelColumn;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: model;
		yourself! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 06/12/2016 12:48'!
listOfPermissions

	^(SewafSelectTableReport summary: 'Grants')
		rows: model permissionsCollection; "get collection elements"
		selectedColor: self session user userOptions getSelectTableSelectedColor;
		nonSelectedColor: self session user userOptions getSelectTableNonSelectedColor;
		columns: (OrderedCollection new 
						add: (self fieldNameColumnAs: 'Grants');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: model;
		yourself! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 06/12/2016 12:48'!
listOfSearchFields

	^(SewafSelectTableReport summary: 'Serach Fields')
		rows: model searchFields asSortedCollection; "get collection elements"
		selectedColor: self session user userOptions getSelectTableSelectedColor;
		nonSelectedColor: self session user userOptions getSelectTableNonSelectedColor;
		columns: (OrderedCollection new 
						add: (self fieldNameColumnAs: 'Serach Fields');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: model;
		yourself! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 06/12/2016 12:48'!
listOfSummaryFields

	^(SewafSelectTableReport summary: 'List Heading')
		rows: model summaryFields asSortedCollection; "get collection elements"
		selectedColor: self session user userOptions getSelectTableSelectedColor;
		nonSelectedColor: self session user userOptions getSelectTableNonSelectedColor;
		columns: (OrderedCollection new 
						add: (self fieldNameColumnAs: 'List Heading');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: model;
		yourself! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:25'!
logout
	
	self session logout.	
	self session unregister.
	self requestContext redirectTo: (self getGemStoneServerConfiguration gemstoneIP, '/WAOrbeonLogin')! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:58'!
renderBannerOn: html

	html div id: 'banner';
"		class: 'section';"
		with: [ html image url: (SEWAFFileLibrary / #orbeonbannerPng);
								altText: 'Image title'].! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 04/28/2016 10:50'!
renderContentOn: html

	self renderWAOrbeonHandlerShapeOn: html.

	html div id: 'info-area';
		with: [html heading level2 with: 'Form Structure: [', model getApplicationName, '].[', model formName, ']'.
			html div id: 'field-names'; with: [
					html render: self listOfFieldNames.
				].
			html div id: 'search-types'; with: [
					html render: self listOfSearchFields.
				].
			html div id: 'summary'; with: [
					html render: self listOfSummaryFields.
				].
			html div id: 'permissions'; with: [
					html render: self listOfPermissions.
				].
	html div id: 'close-button'; with:[html form with: [
					html fieldSet with: [html submitButton callback: [self answer]; with: 'Close'.]]]
	].! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 07/12/2014 14:55'!
renderWAOrbeonHandlerShapeOn: html

	self renderBannerOn: html.

	"self renderSidebarOn: html."

	html div id: 'content'; 
				with: [html render: nil.].! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 07/13/2014 15:19'!
style
 ^ '
#sidebar {
	border-radius: 25px;
	height: 400px;
	width: 180px;
	position: absolute;
	text-align: center;
	background-color: gray;
	background-repeat: repeat-x;
	border-style: ridge;
	margin-left: -4px;
	}
#info-area {
	margin-left: 200px;
}
#field-names {
	float: left;
	margin-right: 30px;
}
#search-types {
	float: left;
	margin-right: 30px;
}
#summary {
	float: left;
	margin-right: 30px;
}
#close-button form fieldset{
	border: none;
}
#close-button input.submit {
	width: 150px;
	height: 35px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-right: 550px;
	float: right;
}
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-size: 20px;
	/*border-radius: 6px; */
	}
 body{
     background-color: silver;
 }
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
th, td {
	display: table-cell;
	vertical-align: inherit;
	border-bottom: white;
	border-width: 1px;
	border-style: inset;
	width: 1px;
	white-space: nowrap;
}

#banner {
	margin-top: -8px;
}
#tabs-section {
	margin-top: 70px; 
	margin-left: 180px;
	 padding-left: 5px;
} 
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 180px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: silver;
 }

 #tabs{
    list-style-type: none;
	margin-left: -40px;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
	 border-radius: 20px;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #EEEEEE;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none
; }

#tabs li a:hover{
     background-color: gray; 
 } 

a img {
	padding-left: 4px;
	padding-top: 4px;
}
.batch {
	text-align: center;}
 .hidden {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;}'! !

SEWAFWebAbstractPanel subclass: #OrbeonUserWebManagerPanel
	instanceVariableNames: 'userCollection rolsComponent selectedUser rolTypeComponent selectedRoleType username password'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonUserWebManagerPanel class methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
collection: anOrderedCollection

	^super new initialize;
			userCollection: anOrderedCollection;
			yourself! !

!OrbeonUserWebManagerPanel methodsFor: 'users' stamp: 'BrunoBB 03/19/2015 16:40'!
addUser
	| newUser |

	newUser := OrbeonUser new 
		name: username;
		password: password;
		addToCache;
		yourself.

	selectedUser := newUser.
	userCollection add: selectedUser.! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
answer

	self answer: true! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
booleanValueForRol: rolName

	^selectedUser hasRol: rolName! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:04'!
modifyRol: rolName value: aBoolean

	aBoolean ifFalse: [^selectedUser removeRol: rolName].

	^selectedUser addRol: rolName! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/18/2015 16:15'!
nameReportColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					(selectedUser == each) 
					ifTrue: [html text: each name]
					ifFalse: [html anchor callback: [self showRolsFor: each]; with: each name ] ]
			title: 'Name')! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 03/19/2015 16:28'!
password

   "Return the value of the instance variable 'password'."
   ^password! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 03/19/2015 16:28'!
password: newValue

   "Modify the value of the instance variable 'password'."
   password := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'users' stamp: 'BrunoBB 03/19/2015 16:37'!
removeUser

	selectedUser ifNil: [^self].

	selectedUser removeFromCache.

	userCollection remove: selectedUser ifAbsent: []! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:33'!
renderContentOn: html

	self renderUserCreateSearchPanelOn: html.
	html div id: 'user-rol-area';
		with: [html heading level2 with: 'User List'.
			html div id: 'user-list'; with: [
				html form with: [
					html render: self userList.
					html div id: 'buttons'; with: [
						html break.
						html submitButton callback: [self removeUser]; with: 'Remove User'.].
					]
				].
			html div id: 'rols-list'; with: [
				html render: rolsComponent.].
			html div id: 'rol-type-list'; with: [
				selectedUser ifNotNil: [self renderRoleTypeOn: html]]].! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:06'!
renderRoleTypeOn: html

	html form id: 'form-rol-type'; with: [
		html fieldSet with: [
			html legend with: 'Role Type'.
			html label for: 'tipoDeRol'; with: 'Current Role'.
			html select callback: [:value | selectedRoleType := value];
							list: OrbeonManagerRole allManagerRolNames; 
							id: 'tipoDeRol';
							title: 'Role Type';
							selected: selectedUser managerRolName.
			html submitButton callback: [self updateRoleTypeWith: selectedRoleType];
				with: 'Modify'.
		]
	]! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:35'!
renderUserCreateSearchPanelOn: html

	html div id: 'form-user-panel';
		with: [html form with: [
					html fieldSet with: [
						html legend with: 'Users'.
						html label with: 'User Name'.
						html textInput callback: [:value | username := value].
						html label with: 'Password'.
						html textInput callback: [:value | password := value].
						html submitButton callback: [self addUser]; with: 'Create User'.
						html break.
						html submitButton callback: [self searchUser]; with: 'Search User'.].
	]	].! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:34'!
rolsComponent

   "Return the value of the instance variable 'rolsComponent'."
   ^rolsComponent! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:34'!
rolsComponent: newValue

   "Modify the value of the instance variable 'rolsComponent'."
   rolsComponent := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 06/12/2016 12:39'!
rolsTableReportFor: anOrbeonUser

	^(SewafBooleanSelectTable parent: self)
		summary: 'User Roles';
		buttonLabel: 'Confirm';
		backcolor: self session user userOptions getBooleanTableBackcolor;
		booleanSelector: #booleanValueForRol:;
		callbackSelector: #modifyRol:value:;
		rows: OrbeonUser allRols asArray; "get collection elements"
		columns: (OrderedCollection new 
						add: (SewafReportColumn selector: #yourself title: 'Role');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:39'!
rolTypeComponent

   "Return the value of the instance variable 'rolTypeComponent'."
   ^rolTypeComponent! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:39'!
rolTypeComponent: newValue

   "Modify the value of the instance variable 'rolTypeComponent'."
   rolTypeComponent := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 06/12/2016 12:39'!
rolTypeListFor: anOrbeonUser

	^(SewafBooleanSelectTable parent: self)
		summary: 'User Roles';
		backcolor: self session user userOptions getBooleanTableBackcolor;
		booleanSelector: #booleanValueForRol:;
		callbackSelector: #modificarRol:valor:;
		rows: OrbeonUser allRols asArray; "get collection elements"
		columns: (OrderedCollection new 
						add: (SewafReportColumn selector: #yourself title: 'Role');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:32'!
searchUser

	userCollection := (OrbeonUser cache select: [:each | username match: each name]) asOrderedCollection! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:39'!
selectedRoleType

   "Return the value of the instance variable 'selectedRoleType'."
   ^selectedRoleType! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:39'!
selectedRoleType: newValue

   "Modify the value of the instance variable 'selectedRoleType'."
   selectedRoleType := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:34'!
selectedUser

   "Return the value of the instance variable 'selectedUser'."
   ^selectedUser! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:34'!
selectedUser: newValue

   "Modify the value of the instance variable 'selectedUser'."
   selectedUser := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
showRolsFor: anOrbeonUser

	selectedUser := anOrbeonUser.
	rolsComponent := self rolsTableReportFor: anOrbeonUser.! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
states
	"states holds a part of the state of our web application "
	"for now answer the root state "

	^Array with: self! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/18/2014 09:18'!
style
 ^ '
#sidebar {
	border-radius: 25px;
	height: 400px;
	width: 180px;
	position: absolute;
	text-align: center;
	background-color: gray;
	margin-top: -19px;
	background-repeat: repeat-x;
	border-style: ridge;
	margin-left: -4px;
	}
#manager-options {
	margin-left: 200px;
}
#manager-option {
	display: inline-block;
	margin-right: 20px;
	margin-left: 20px;
}
#user-rol-area {
	margin-left: 200px;
	margin-top: -50px;}
#user-rol-area h2 {margin-top: 30px;}
#user-list {
	float: left;
	margin-top: -30px;
	display: inline-block;
}
#user-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-top: 5px;
}
#rols-list {
	display: inline-block;
	margin-left: 50px;
	float: left;
	width: 200px;
	margin-top: -30px;
}
#rols-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-top: 5px;
}
#rol-type-list {
	margin-top: -15px;
	display: inline-block;
	margin-left: 100px;
}
#rol-type-list fieldset {
	border-radius: 15px;
	background-color: beige;
}
#rol-type-list legend {
	border-radius: 15px;
	background-color: beige;
}
#rol-type-list label {
	margin-right: 10px;
}
#rol-type-list select {
	margin-right: 10px;
}
#rol-type-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
}
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-size: 20px;
	/*border-radius: 6px; */
	}
 body{
     background-color: silver;
 }
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
th, td {
	display: table-cell;
	vertical-align: inherit;
	border-bottom: white;
	border-width: 1px;
	border-style: inset;
	width: 1px;
	white-space: nowrap;
}

#banner {
	margin-top: -8px;
}
#tabs-section {
	margin-top: 70px; 
	margin-left: 180px;
	 padding-left: 5px;
} 
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 180px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: silver;
 }

 #tabs{
    list-style-type: none;
	margin-left: -40px;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
	 border-radius: 20px;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #EEEEEE;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none
; }

#tabs li a:hover{
     background-color: gray; 
 } 

a img {
	padding-left: 4px;
	padding-top: 4px;
}
.batch {
	text-align: center;}
 .hidden {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;}'! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:49'!
updateRoleTypeWith: roleTypeName

	selectedUser managerRole: (OrbeonManagerRole getClassForName: roleTypeName) new! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:34'!
userCollection

   "Return the value of the instance variable 'userCollection'."
   ^userCollection! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:34'!
userCollection: newValue

   "Modify the value of the instance variable 'userCollection'."
   userCollection := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 06/12/2016 12:53'!
userList

	^(SewafSelectTableReport summary: 'User List')
		rows: userCollection asArray; "get collection elements"
		selectedColor: self session user userOptions getSelectTableSelectedColor;
		nonSelectedColor: self session user userOptions getSelectTableNonSelectedColor;
		columns: (OrderedCollection new 
						add: self nameReportColumn;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: selectedUser;
		yourself! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 03/19/2015 16:28'!
username

   "Return the value of the instance variable 'username'."
   ^username! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 03/19/2015 16:28'!
username: newValue

   "Modify the value of the instance variable 'username'."
   username := newValue! !

SewafLateralListComposite subclass: #WAOrbeonApplicationSummary
	instanceVariableNames: 'innerBatchList exportComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:34'!
applicationsForCurrentUser

	^self getOrbeonApplicationCache select: [:each | each hasReadAccess: self session user]! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 12:05'!
booleanValueForDefinition: anOrbeonFormDefinition

	^false! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:56'!
columnApplication

		^(SewafReportColumn selector: #getApplicationName title: 'Application' onClick: [:each | mainPanel renderFormInstanceFor: each])
			sortBlock: [:a :b | a getApplicationName < b getApplicationName ];
			yourself! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:56'!
columnCreatedTime

		^(SewafReportColumn selector: #createdTime title: 'Created' onClick: [:each | mainPanel renderFormInstanceFor: each])
			sortBlock: [:a :b | a createdTime < b createdTime ];
			beSortable;
			yourself! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:56'!
columnDeleted

		^(SewafReportColumn selector: #deleted title: 'Deleted' onClick: [:each | mainPanel renderFormInstanceFor: each])
			sortBlock: [:a :b | a deleted < b deleted ];
			beSortable;
			yourself! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 12:48'!
columnForm

		^(SewafReportColumn selector: #formName title: 'Form' onClick: [:each | self renderFormInstanceFor: each])
			sortBlock: [:a :b | a formName < b formName ];
			beSortable;
			yourself! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:57'!
columnModifiedTime

		^(SewafReportColumn selector: #modifiedTime title: 'Modified' onClick: [:each | mainPanel renderFormInstanceFor: each])
			sortBlock: [:a :b | a modifiedTime < b modifiedTime ];
			beSortable;
			yourself! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:57'!
columnModifiedUser

		^(SewafReportColumn selector: #modifiedUser title: 'Modified By' onClick: [:each | mainPanel renderFormInstanceFor: each])
			sortBlock: [:a :b | a modifiedUser < b modifiedUser ];
			beSortable;
			yourself! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:57'!
columnVersion

		^(SewafReportColumn selector: #version title: 'Version' onClick: [:each | mainPanel renderFormInstanceFor: each])
			sortBlock: [:a :b | a version < b version];
			yourself! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 14:05'!
do: aBlock

	self halt.! !

!WAOrbeonApplicationSummary methodsFor: 'Accessing' stamp: 'BrunoBB 07/03/2016 13:41'!
exportComponent
	^exportComponent! !

!WAOrbeonApplicationSummary methodsFor: 'Updating' stamp: 'BrunoBB 07/03/2016 13:41'!
exportComponent: newValue
	exportComponent := newValue! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 14:00'!
exportToCSV

	exportComponent := exportComponent 
		ifNil: [(OrbeonExportComposite parent: self) exportCollection: innerBatchList items; yourself]! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:26'!
getCurrentCollection

	searchApplied ifFalse: [^lateralCollection].

	^searchResult! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 12:04'!
getDefinitionsCollection

	selectedLateralItem ifNil: [^#()].

	^(selectedLateralItem getLastDefinitions select: [:each | self session user hasReadPermissionOn: each]) asArray! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:44'!
getIconNameFormItem

	^#boxesbrown32Png! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:27'!
getTextForItem: aLateralListItem

	^aLateralListItem applicationName! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 13:44'!
initialize

	super initialize.

	innerBatchList := SewafBatchedList parentComponent: self.
	batchedList := SewafLateralBatchedList parentComponent: self.
	batchedList batchSize: 10;
		navigationCssClass: 'batch-div-lateral-top'.

	self setShowToElementNamed: 'search-area'. "the search-are is shown by default"

	lateralCollection := self applicationsForCurrentUser.

	innerBatchList := SewafBatchedList parentComponent: self.

	innerBatchList batchSize: 4;
		isBottomBatch: true;
		navigationCssClass: 'batch-div-bottom'.

	self setClassSide! !

!WAOrbeonApplicationSummary methodsFor: 'Accessing' stamp: 'BrunoBB 07/03/2016 13:41'!
innerBatchList
	^innerBatchList! !

!WAOrbeonApplicationSummary methodsFor: 'Updating' stamp: 'BrunoBB 07/03/2016 13:41'!
innerBatchList: newValue
	innerBatchList := newValue! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 12:54'!
isClassSide

	^(self componentValueAt: 'type') = 'class'! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 12:58'!
renderFormInstanceFor: anOrbeonFormDefinition

	self setInstanceSide.

	innerBatchList items: anOrbeonFormDefinition instances asArray.! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 13:58'!
renderItemComponentOn: html

	selectedLateralItem ifNil: [^self].

	self isClassSide 
	ifTrue: [	exportComponent := nil.
				innerBatchList items: self getDefinitionsCollection.
				html div class: 'default-gray-table'; with: [html render: (innerBatchList table: self tableForOrbeonDefinition)]]
	ifFalse: [html div class: 'default-gray-table'; with: [html render: (innerBatchList table: self tableForOrbeonInstance)].
				self exportToCSV.
				html div id: 'export-component'; with: [html render: exportComponent].].! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:44'!
renderItemDescriptionAditionalDataOn: html! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:44'!
renderItemDescriptionSecondaryDataOn: html! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:49'!
renderItemDescriptionTitleOn: html

	html output:  selectedLateralItem applicationName.! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:37'!
renderLateralItemDetailsOn: html for: aLateralItem! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 11:46'!
renderSearchAreaOn: html

	self renderShowHideWindowIconOn: html. "show/hide search area"

	(self isEnabledToShowElementNamed: 'search-area') ifFalse: [^self].! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 13:20'!
selectedLateralItem: newValue

	super selectedLateralItem: newValue.

	self setClassSide.

	^newValue! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 12:55'!
setClassSide

	self addValue: 'class' named: 'type'! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 12:56'!
setInstanceSide

	self addValue: 'instance' named: 'type'! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 13:09'!
sortBlockForInstances: value
	
	^[:a : b | | valueA valueB |
		valueA := a valueAt: value.
		valueB := b valueAt: value.
		(valueA notNil and: [valueB notNil]) 
		ifTrue: [valueA <= valueB] 
		ifFalse:[valueA notNil ]
		]! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 12:12'!
sortColumn: sortBlock orderMode: aSymbol

	innerBatchList items: ( (aSymbol = #asc) 
		ifTrue: [(innerBatchList items asSortedCollection: sortBlock) reverse] 
		ifFalse: [innerBatchList items asSortedCollection: sortBlock]).! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 14:07'!
tableColumnsForOrbeonInstance
	| columns formDefinition |

	columns := OrderedCollection new.
	innerBatchList items ifEmpty: [^columns].
	formDefinition := (innerBatchList items at: 1) definition.
	formDefinition summaryFields do: [:value | | column | "we set labels for the titles of the report"
		column := SewafReportColumn 
						renderBlock: [:each :html | | fieldValue |
							fieldValue := each valueAt: value.
							fieldValue ifNil: [fieldValue := ''].
							fieldValue isEmpty ifFalse: [html anchor callback: [self topPanel viewInstance: each]; with: fieldValue].
							] 
						title: (formDefinition labelAt:value).
		column sortBlock: (self sortBlockForInstances: value);
			beSortable.
		columns add: column].

	^columns! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 12:08'!
tableForOrbeonDefinition

	^(SewafBooleanOperationTable parent: self)
		summary: 'Designed Forms';
		buttonsFormId: 'operations-buttons';
		operations: #(#(#editSelection 'Edit') #(#new 'New') #(#synchronizeSelection 'Import Forms') #(#deleteSelection 'Delete'));
		booleanSelector: #booleanValueForDefinition:;
		callbackSelector: #modifySelection:value:;
		beSortable;
		"rows: self getDefinitionsCollection; ""get collection elements"
		columns: (OrderedCollection new  
						add: self columnForm;
						add: self columnApplication;
						add: self columnVersion;
						add: self columnCreatedTime;
						add: self columnModifiedTime;
						add: self columnModifiedUser;
						add: self columnDeleted;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!WAOrbeonApplicationSummary methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 13:47'!
tableForOrbeonInstance

	^(SewafBooleanOperationTable parent: self)
		summary: 'Forms';
		buttonsFormId: 'operations-buttons-inst';
		operations: #(#(#edit 'Edit') #(#view 'View') #(#viewPdf 'PDF') #(#delete 'Delete'));
		booleanSelector: #booleanValueForDefinition:;
		callbackSelector: #modifySelection:value:;
		beSortable;
		columns: self tableColumnsForOrbeonInstance;
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!SEWAFWebObjectPanel methodsFor: '*orbeonWeb' stamp: 'BrunoBB 06/04/2015 06:42'!
importNewApplications

	^self model importNewApplications! !

SEWAFWebObjectPanel subclass: #WAOrbeonHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonHandler class methodsFor: 'other' stamp: 'BrunoBB 11/27/2013 10:46'!
canBeRoot

	^true! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 02/02/2016 14:55'!
editDefinition: anOrbeonFormDefinition

	self requestContext redirectTo:  self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/orbeon/builder/edit/', anOrbeonFormDefinition id! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 04/28/2016 10:45'!
editInstance: anOrbeonFormInstance

	self requestContext redirectTo: self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/', anOrbeonFormInstance getApplicationName, '/', anOrbeonFormInstance formName, '/edit/', anOrbeonFormInstance id! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 05/10/2015 15:24'!
exportToCSV: anOrderedCollection fileNamed: fileName
	| export stream |

	anOrderedCollection isEmpty ifTrue: [^self].

	export := MultilineRecursiveFormExport definition: anOrderedCollection last definition formsCollection: anOrderedCollection.
	export generatePrintArray.
	stream := export printMatrixToWriteStream.

	self sendToClientCSV: fileName, '.csv' stream: stream.! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 04/28/2016 10:45'!
exportToCSVInstancesOf: anOrbeonFormDefinition

	self exportToCSV: anOrbeonFormDefinition instances asOrderedCollection
		fileNamed: (anOrbeonFormDefinition getApplicationName, '.', anOrbeonFormDefinition formName)! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 02/14/2014 10:14'!
initialize

	super initialize.

	self initializeSummary.! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 01/30/2014 04:59'!
initializeSummary

	selectedTab := WAOrbeonPublishedSummary parent: self! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 11/27/2013 13:32'!
initializeTabs

	tabs := Dictionary new
		at: 'Publicados' put: (WAOrbeonPublishedSummary parent: self);
		at: 'En Edicin' put: (WAOrbeonInEditionSummary parent: self);
		at: 'En Desarrollo' put: (WAOrbeonInCreationSummary parent: self);
		yourself.

	selectedTab := Array with: 'Publicados' with: (tabs at: 'Publicados').! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:25'!
logout

	self session logout.	
	self session unregister.
	self requestContext redirectTo: (self getGemStoneServerConfiguration gemstoneIP, '/orbeon')! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 01/30/2014 05:00'!
model: aModel

	super model: aModel.

	"self initializeTabs."

	self initializeSummary.! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 02/02/2016 14:55'!
newFormDefinition

	self requestContext redirectTo: self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/orbeon/builder/new'! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 04/28/2016 10:49'!
newFormUsing: anOrbeonFormDefinition

	self requestContext redirectTo: self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/', anOrbeonFormDefinition getApplicationName, '/', anOrbeonFormDefinition formName, '/new'! !

!WAOrbeonHandler methodsFor: 'render' stamp: 'BrunoBB 12/13/2013 15:22'!
renderChildrenOn: html

	"html div id: 'content'; with: [
		tabs do: [:each |
			html heading: each key.
			html paragraph; render: each value.
			]
	]"
	html div id: 'content'; with: [
			"html heading level3; with: selectedTab first."
			html paragraph; render: selectedTab second.
			]! !

!WAOrbeonHandler methodsFor: 'render' stamp: 'BrunoBB 03/17/2015 16:57'!
renderContentOn: html

	self renderBannerOn: html.

	self renderTopbarOn: html.

	html div id: 'content'; 
				with: [html render: selectedTab.].! !

!WAOrbeonHandler methodsFor: 'render' stamp: 'BrunoBB 12/06/2013 17:52'!
renderTabsOn: html

	html unorderedList id: 'tabs'; with: [
		#('Publicados' 'En Edicin' 'En Desarrollo') do: [:key | | value |
			value := tabs at: key.
			html listItem: [
				html anchor
					class: (selectedTab first = key ifTrue: ['active']);
					style: (selectedTab first = key ifTrue: ['background-color: gray; border-style: ridge;'] ifFalse:['background-color: lightgray; border-style: ridge;']);
					callback: [selectedTab := (Array with: key with: value)];
					with: key
				]
			]
		].! !

!WAOrbeonHandler methodsFor: 'render' stamp: 'BrunoBB 11/02/2014 10:16'!
renderTopbarOn: html

	html div id: 'top-bar';
		class: 'section';
		with: [
				html anchor callback: [self newFormDefinition];
						with: [html image  url: (SEWAFFileLibrary / #edit24Png); altText: 'New Form Definition'; title: 'New Form Definition'].
				self session user isAdmin ifTrue:[
					html anchor callback: [self setupConfiguration];
							with: [html image  url: (SEWAFFileLibrary / #formConfigPng); altText: 'System Configuration'; title: 'System Configuration']].
				html anchor callback: [self logout];
						with: [html image  url: (SEWAFFileLibrary / #logouticonPng); altText: 'Logout'; title: 'Logout'].
				]! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 03/02/2015 03:31'!
sendToClientCSV: fileNamed stream: aStream

	self requestContext respond: [:response | 
        response document: ((aStream contents asByteArray seasideMimeDocument) 
                                        mimeType: 'application/csv'; 
                                        fileName: fileNamed; 
                                        yourself)].! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 03/10/2014 10:50'!
setupConfiguration

	self show: (WAOrbeonManagerPanel on: OrbeonHandler default)! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 07/13/2014 15:08'!
showSummary: anOrbeonFormDefinition

	self show: (OrbeonFormDefinitionSummaryPanel on: anOrbeonFormDefinition)! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 12/05/2013 10:15'!
states
	"states holds a part of the state of our web application "
	"for now answer the root state "

	^Array with: self! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 05/12/2015 05:55'!
style
 ^ '
a img {
	padding-left: 4px;
	padding-top: 4px;
}
#banner {
	margin-top: -8px;
}
.batch {
	text-align: center;}
body{
     background-color: silver;
 }
#content{
    font-family: arial;
    text-align: justify;
  /*   margin-left: 180px;*/
    margin-right: 5px;
    padding-left: 5px;
    padding-right: 5px;
    padding-bottom: 5px;
    background-color: silver;
}
#export-component { 
	/*display: flex;*/
	margin-top: 10px;
	margin-bottom: 10px;
    width: 45%;
    margin-right: auto;
	margin-left: auto;
	float: inherit;
}
#export-component form { 
    width: 60%;
}
#export-component fieldset {
	margin-top: 10px;
	border-radius: 15px;
	background-color: beige;
	margin-left: -30px;
}
#export-component fieldset label {
	display: block; 
	margin-top: 8px;
}
#export-component fieldset legend {
	background-color: beige; 
	border-radius: 5px;
}
#export-component input.submit {
	float: right;
	width: 140px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-right: 5px;
}
#formularios-def-report {
    height: 360px;
	overflow: auto;
}
#formularios-def-report table {
    margin: auto;
}
#formularios-def-report table fieldset {
    margin: auto;
}
#formularios-def-report tbody a {
	text-decoration: none;
	color: black;
}
#formularios-inst-report {
    height: auto;
	overflow: auto;
}
#formularios-inst-report form{
	height: auto;
	overflow: auto;
	margin-left: auto;
	margin-right: auto;
	width: 90%;
}
#formularios-inst-report table {
    margin: auto;
}
#formularios-inst-report tbody a {
	text-decoration: none;
	color: black;
}
 #formularios-publicados {
	height: 45px;
	width: 100%;
	background-color: honeydew;
	border-radius: 10px;
	font-family: "Trebuchet MS";
	font-size: xx-large;
	text-align: center;
}
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }
.hidden {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;
}
#imported-data {
	margin-left: 200px;
	width: 950px;
	margin-top: 40px;
}
#imported-data table {
	text-align: center;
}
#orbeon-applications { 
	/*display: flex;*/
	margin-top: 10px;
	margin-bottom: 10px;
    width: 45%;
    margin-right: auto;
	margin-left: auto;
	float: inherit;
}
#orbeon-applications fieldset {
	margin-top: 10px;
	border-radius: 15px;
	background-color: beige;
	margin-left: -30px;
}
#orbeon-applications fieldset legend {
	background-color: beige; 
	border-radius: 5px;
}
#orbeon-applications form select {
	height: 30px;
	width: 250px;
	background-color: lavender;
	font-size: larger;
	border-radius: 8px;
	margin-right: 5px;
}
#orbeon-applications input.submit {
	width: 180px;
	height: 35px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-right: 5px;
}
#operations-buttons fieldset {
	margin-left: auto;
	margin-top: 10px;
	margin-right: auto;
	/*width: 470px;*/
	width: 52%;
	padding-left: 100px;
}
#operations-buttons input.submit {
	width: 150px;
	height: 35px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-right: 5px;
}
#operations-buttons-inst fieldset {
	margin-left: auto;
	margin-top: 10px;
	margin-right: auto;
	/*width: 470px;*/
	width: 40%;
	padding-left: 100px;
}
#orbeon-definitions {
	/*margin-left: 195px;
	margin-top: -335px;*/
	margin-bottom: 10px;
	/* overflow: auto; */
/*	border-style: inset;*/
	border-width: 3px;
}
#orbeon-instances {
/*	overflow: auto;*/
 /*   height: 500px; */
/*	border-style: inset;*/
	border-width: 3px;
	margin-top: 35px;
}
#orbeon-instances form {
	border-radius: 10px;
	display: inline-block;
	margin-bottom: 10px;
}
#orbeon-instances fieldset {
	border: 0;
}
#orbeon-instances form select {
	height: 25px;
	width: 325px;
	background-color: lavender;
	font-size: medium;
	border-radius: 8px;
	margin-left: 10px;
	margin-right: 10px;
}
#orbeon-instances input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
}
#orbeon-instances input.text {
	width: 150px;
	height: 25px;
	font-size: medium;
	background-color: lavender;
	border-radius: 10px;
	margin-left: 10px;
	margin-right: 10px;
}
#orbeon-instances-def {
/*	margin-left: 195px;*/
	margin-top: -301px;
}
#organismo-formulario {
	margin-top: 10px;
	border-radius: 15px;
	background-color: beige;
	border-style: outset;
	border-width: 2px;
	height: 30px;
	font-size: 20px;
}
.reportColumn 
{
	font-family: "Trebuchet MS";
	font-size: 18px;
	/*border-radius: 6px; */
	text-align: center;
}
#search-buttons {
	display: inline-block;
}
#search-form {
	width: 70%;
	margin: 0 auto;
}
#search-form form  {
	border-radius: 10px;
	border-style: outset;
	border-width: 2px;
	display: inline-block;
	margin-bottom: 10px;
	background-color: beige;
}
#sidebar {
	border-radius: 25px;
	height: 400px;
	width: 180px;
	position: absolute;
	text-align: center;
	background-color: gray;
	background-repeat: repeat-x;
	border-style: ridge;
	margin-left: -4px;
}
#search-version {
	width: 30%;
	margin: 0 auto;
}
#search-version form fieldset select {
	width: 80px;
}
.sort-buttons {
	float: initial;
	display: -webkit-inline-box;
}	
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
/*	table-layout: fixed;*/
	width: 1000px;
}
#tabs-section {
	margin-top: 70px; 
	margin-left: 180px;
	 padding-left: 5px;
} 
#tabs{
    list-style-type: none;
	margin-left: -40px;
 }
#tabs li{
     display: inline;
 }
#tabs li a{
     text-align: center;
	 border-radius: 20px;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #EEEEEE;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none
; }
#tabs li a:hover{
     background-color: gray; 
 } 
th, td {
	display: table-cell;
	vertical-align: inherit;
	border-bottom: white;
	border-width: 1px;
	border-style: inset;
	width: 1px;
	white-space: nowrap;
}
#top-bar { 
/*	margin-left: 200px; */
	padding-right: 20px;
	border-radius: 20px;
	height: 30px;
	text-align: right;
	float: right;
	padding-left: 10px;
	background-color: beige;
}'! !

!WAOrbeonHandler methodsFor: 'synchronization' stamp: 'BrunoBB 04/03/2015 16:00'!
synchronize: anOrbeonFormDefinition

	"See ISSUE: #71.
	https://github.com/brunobuzzi/OrbeonBridgeForGemStone/issues/71"

	model importDataOf: anOrbeonFormDefinition version: anOrbeonFormDefinition version printString! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 12/03/2013 14:25'!
topPanel

	^self! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 01/23/2014 05:16'!
updateApplication: anOrbeonApplication

	^model updateApplication: anOrbeonApplication! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 02/15/2014 16:43'!
updateRoot: anHtmlRoot
	"This method allow to use CSS and JavaScript"

	anHtmlRoot meta responseHeaderName: 'Content-Style-Type'; content: 'text/css'.

	super updateRoot: anHtmlRoot.

	anHtmlRoot title: 'Persona Web Panel'.! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 04/28/2016 10:51'!
viewInstance: anOrbeonFormInstance

	self requestContext redirectTo:  self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/', anOrbeonFormInstance getApplicationName, '/', anOrbeonFormInstance formName, '/view/', anOrbeonFormInstance id! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 04/28/2016 10:51'!
viewPDFInstance: anOrbeonFormInstance

	self requestContext redirectTo:  self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/', anOrbeonFormInstance getApplicationName, '/', anOrbeonFormInstance formName, '/pdf/', anOrbeonFormInstance id! !

SEWAFWebObjectPanel subclass: #WAOrbeonManagerPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 03/18/2015 05:54'!
backToOrbeon

	selectedToolBarOption := 'orbeon-web'.

	self answer: true! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:24'!
logout

	self session logout.	
	self session unregister.	
	self requestContext redirectTo: (self getGemStoneServerConfiguration gemstoneIP, '/orbeon')! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
renderChartsOn: html

	html div id: 'chart-option';
		with: [html div id: 'chart-graph'; 
						with: [html label with: 'Graficas de Formularios'.
								html break.
								html anchor callback: [self showCharts];
												with: [html image url: (SEWAFFileLibrary / #charticonPng).]].
		]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:40'!
renderContentOn: html

	self renderBannerOn: html.

	self renderOptionsOn: html.
	arena notNil 
		ifTrue: [html div id: 'managerPanel'; style: 'margin-left: 0px;';
					with: [html render: arena].]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
renderGarbageCollectorOn: html

	html div id: 'manager-option';
		with: [html div id: 'garbage-collector'; 
						with: [html label with: 'Depurar Repositorio'.
								html break.
								html anchor callback: [self systemCollectGarbage];
												with: [html image url: (SEWAFFileLibrary / #databaseactiveiconPng).]].
		]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:10'!
renderLoginModeIconOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'login-mode') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html anchor callback: [self setLoginMode]; 
					class: 'marginLeft5px';
					with: [html image url: (SEWAFFileLibrary / #appspreferencessystemlogin64Png); 
												class: imgClass; 
												title: 'Set Login Mode';
												altText: 'Set Login Mode'].! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:17'!
renderManageGemsOn: html

	html div id: 'manager-option';
		with: [html div id: 'manage-gems'; 
						with: [html label with: 'Manage Gems'.
								html break.
								html anchor callback: [self systemManageGems];
												with: [html image url: (SEWAFFileLibrary / #diamondiconPng).]].
		]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:16'!
renderManageSurveysOn: html

	html div id: 'manager-option';
		with: [html div id: 'survey-manager'; 
						with: [html label with: 'Manage Surveys'.
								html break.
								html anchor callback: [self showSurveyManager];
												with: [html image url: (SEWAFFileLibrary / #documentsiconPng).]].
		]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/18/2015 06:18'!
renderManageUsersIconOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'manage-users') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html div id: 'manager-option';
		with: [html div id: 'user-manager'; 
						with: [html anchor callback: [self setupUser];
										with: [html image url: (SEWAFFileLibrary / #officecustomermaleiconPng);
																class: imgClass; 
																title: 'Manage Users';
																altText: 'Manage Users']].
	]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:21'!
renderOptionsOn: html

	html div id: 'manager-options'; 
		with: [
			html div class: 'top-toolbar-menu top-toolbar-menu-x2'; with: [
				self renderLoginModeIconOn: html. 
				self renderServerConfigurationSettingOn: html.].
			html div class: 'top-toolbar-menu top-toolbar-menu-x1'; with: [
				self renderManageUsersIconOn: html].
			html div class: 'top-toolbar-menu top-toolbar-menu-x1'; with: [
				self renderOrbeonWebIconOn: html].
		"		self renderManageSurveysOn: html.
				self renderGarbageCollectorOn: html. 
				self renderManageGemsOn: html.
				self renderRestartOrbeonTomcatOn: html.
				self renderChartsOn: html."].! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:09'!
renderOrbeonWebIconOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'orbeon-web') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html anchor callback: [self backToOrbeon]; 
					class: 'marginLeft5px';
					with: [html image url: (SEWAFFileLibrary / #appsGoogleDriveFormsPng); 
												class: imgClass; 
												title: 'Back to Forms';
												altText: 'Back to Forms'].! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
renderRestartOrbeonTomcatOn: html

	html div id: 'manager-option';
		with: [html div id: 'restart-tomcat'; 
						with: [html label with: 'Restart Orbeon Tomcat'.
								html break.
								html anchor callback: [self restartTomcat];
												with: [html image url: (SEWAFFileLibrary / #runiconPng).]].
	]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/18/2015 06:21'!
renderServerConfigurationSettingOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'servers-configuration') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html anchor callback: [self serversConfiguration]; 
					class: 'marginLeft15px';
					with: [html image url: (SEWAFFileLibrary / #serversetting64Png); 
												class: imgClass; 
												title: 'Servers Configuration';
												altText: 'Servers Configuration'].! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 02/23/2014 15:28'!
restartTomcat

	"System performOnServer:  '' "! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 02/03/2016 09:41'!
serversConfiguration

	selectedToolBarOption := 'servers-configuration'.
	arena ifNotNil: [arena answer: true].
	arena := FormOrbeonServerConfigurationComposite parent: self.! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 03/19/2015 16:53'!
setLoginMode

	selectedToolBarOption := 'login-mode'.

	arena ifNotNil: [arena answer: true].

	arena := FormOrbeonLoginModeComposite parent: self! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 03/19/2015 16:53'!
setupUser

	selectedToolBarOption := 'manage-users'.
	arena ifNotNil: [arena answer: true].
	arena := OrbeonUserWebManagerPanel collection: OrderedCollection new.
	arena mainPanel: self.
	arena onAnswer: [:answer | arena := nil].! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 02/23/2014 15:51'!
showCharts

	arena := OrbeonChartPanel new.
	arena mainPanel: self.
	arena onAnswer: [ :answer | arena := nil].! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 03/04/2014 11:33'!
showSurveyManager! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:44'!
style
 ^ '
a img {
	padding-left: 4px;
	padding-top: 4px;
}
#banner {
	margin-top: -8px;
}
.batch {
	text-align: center;
}
body{
     background-color: silver;
 }
#close a {
	margin-left: 120px;
}
#content{
     font-family: arial;
     text-align: justify;
     margin-left: 180px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: silver;
 }
#form-user-panel {
	margin-top: 100px;
	margin-left: 200px;
	background-color: beige;
	border-style: inset;
	border-radius: 15px;
	border-width: 2px;
	width: 950px;
	margin-bottom: 20px;
}
#form-user-panel form {
	width: 950px;
}
#form-user-panel form fieldset { 
	border: 0;
}
#form-user-panel form fieldset input { 
	border-radius: 10px;
	background-color: lavender;
	margin-right: 5px;
}
#form-user-panel form fieldset select { 
	border-radius: 10px;
	background-color: lavender;
	margin-right: 5px;
}
#form-user-panel form fieldset label { 
	margin-right: 5px;
}
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }
.hidden {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;
}
#login-mode-configuration { 
	display: flex;
	margin-left: 200px;
	margin-top: 100px;
}
#login-mode-configuration form {
	width: 390px;
	margin: 10px auto 10px 250px;
}
#login-mode-configuration form fieldset { 
	border-radius: 10px;
	border-style: inset;
	background-color: rgb(163, 187, 164);
}
#login-mode-configuration form fieldset input[type="text"]{ 
	border-radius: 10px;
	border-style: inset;
	width: 350px;
	margin-bottom: 10px;
}
#login-mode-configuration form fieldset input[type="submit"]{ 
	border-radius: 10px;
	width: 150px;
	border-right: 10px;
}
#login-mode-configuration form fieldset label { 
	display: block;
}
#login-mode-configuration form fieldset select { 
	border-radius: 10px;
	border-style: inset;
	display: block;
	width: 350px;
	margin-bottom: 10px;
}
.marginLeft5px {
	margin-left: 5px;
}
.marginLeft10px {
	margin-left: 10px;
}
.marginLeft15px {
	margin-left: 15px;
}
#manager-options {
	/*margin-left: 200px; */
}
#manager-option {
	display: inline-block;
	margin-left: 5px;
}
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-size: 20px;
	/*border-radius: 6px; */
	}
#rols-list {
	display: inline-block;
	margin-left: 50px;
	float: left;
	width: 200px;
}
#rols-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-top: 5px;
}
#rol-type-list {
	display: inline-block;
}
#rol-type-list fieldset {
	border-radius: 15px;
	background-color: beige;
}
#rol-type-list legend {
	border-radius: 15px;
	background-color: beige;
}
#rol-type-list label {
	margin-right: 10px;
}
#rol-type-list select {
	margin-right: 10px;
}
#rol-type-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
}
#server-configuration { 
	display: flex;
	margin-left: 200px;
	margin-top: 100px;
}
#server-configuration form {
	width: 390px;
	margin: 10px auto 10px 250px;
}
#server-configuration form fieldset { 
	border-radius: 10px;
	border-style: inset;
	background-color: rgb(163, 187, 164);
}
#server-configuration form fieldset input[type="text"]{ 
	border-radius: 10px;
	border-style: inset;
	width: 350px;
	margin-bottom: 10px;
}
#server-configuration form fieldset input[type="submit"]{ 
	border-radius: 10px;
	width: 150px;
	border-right: 10px;
}
#server-configuration form fieldset label { 
	display: block;
}
#server-configuration form fieldset select { 
	border-radius: 10px;
	border-style: inset;
	display: block;
	width: 350px;
	margin-bottom: 10px;
}
#sidebar {
	border-radius: 25px;
	height: 400px;
	width: 180px;
	position: absolute;
	text-align: center;
	background-color: gray;
	background-repeat: repeat-x;
	border-style: ridge;
	margin-left: -4px;
	}
#tabs{
    list-style-type: none;
	margin-left: -40px;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
	 border-radius: 20px;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #EEEEEE;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none; 
}
#tabs li a:hover{
     background-color: gray; 
 } 
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
th, td {
	display: table-cell;
	vertical-align: inherit;
	border-bottom: white;
	border-width: 1px;
	border-style: inset;
	width: 1px;
	white-space: nowrap;
}
#top-bar { 
	padding-right: 20px;
	border-radius: 20px;
	height: 30px;
	text-align: right;
	float: right;
	padding-left: 10px;
	background-color: beige;
}
.top-toolbar-menu { /* menu with 1 tool link */
	margin-right: 10px;
	/* margin-bottom: 10px; */
	/* padding-right: 2px; */
	/*height: 75px; */
	float: left;
	border-radius: 15px;
	background-color: beige;
	padding-right: 9px;
	padding-top: 7px;
	padding-left: 1px;
}
.top-toolbar-menu-x1 { /* menu with 1 tool link */
	width: 72px;
}
.top-toolbar-menu-x2 { /* menu with 2 tool link */
	width: 160px;
}
.top-toolbar-menu-x3 { /* menu with 3 tool link */
	width: 215px;
}
.top-toolbar-menu-x4 { /* menu with 4 tool link */
	width: 288px;
}
.top-toolbar-menu-selected-item {
	background-color: silver;
	border-style: inset;
	border-width: 1px;
	border-radius: 10px;
}
#tabs-section {
	margin-top: 70px; 
	margin-left: 180px;
	 padding-left: 5px;
} 
#user-password-widget {
	margin-top: 90px;
	width: 390px;
	margin-top: 90px;
	margin-left: 200px;
}
#user-password-widget form fieldset { 
	border-radius: 10px;
	border-style: inset;
	background-color: rgb(163, 187, 164);
}
#user-password-widget form fieldset input[type="text"]{ 
	border-radius: 10px;
	border-style: inset;
	width: 350px;
	margin-bottom: 10px;
}
#user-password-widget form fieldset input[type="submit"]{ 
	border-radius: 10px;
	width: 150px;
	border-right: 10px;
}
#user-password-widget form fieldset label { 
	display: block;
}
#user-password-widget form fieldset select { 
	border-radius: 10px;
	border-style: inset;
	display: block;
	width: 350px;
	margin-bottom: 10px;
}
#user-rol-area {
	margin-left: 200px;
}
#user-rol-area h2 {
	margin-top: 30px;
}
#user-list {
	float: left;
	display: inline-block;
}
#user-list form table {
	width: 300px;
	text-align: center;
}
#user-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-top: 5px;
}
'! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
systemCollectGarbage

	self inform: 'Garbage Collected'! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
topPanel

	^self! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
updateRoot: anHtmlRoot
	"This method allow to use CSS and JavaScript"

	anHtmlRoot meta responseHeaderName: 'Content-Style-Type'; content: 'text/css'.

	super updateRoot: anHtmlRoot.

	anHtmlRoot title: 'Persona Web Panel'.! !

SEWAFWebObjectComposite subclass: #FormOrbeonLoginModeComposite
	instanceVariableNames: 'modeType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:26'!
initialize

	super initialize.

	modeType := (self getGemStoneServerConfiguration loginModeFor: 'orbeon-processes-web') modeName! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
ldapLoginModeName

	^OrbeonLdapLogin modeName! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
loginModeNames

	^Array
		with: self ldapLoginModeName
		with: OrbeonProcessWebLocalLogin modeName! !

!FormOrbeonLoginModeComposite methodsFor: 'Accessing' stamp: 'BrunoBB 03/17/2015 05:29'!
modeType

   "Return the value of the instance variable 'modeType'."
   ^modeType! !

!FormOrbeonLoginModeComposite methodsFor: 'Updating' stamp: 'BrunoBB 03/17/2015 05:29'!
modeType: newValue

   "Modify the value of the instance variable 'modeType'."
   modeType := newValue! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
renderContentOn: html

	html div id: 'login-mode-configuration';
		with: [self renderLoginModeOn: html].! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:26'!
renderLdapOptionsOn: html

	self getGemStoneServerConfiguration setLdapFor: 'orbeon-processes-web'.
	html break.
	html label with: 'Ldap IP'.
	html textInput callback: [:value | self getGemStoneServerConfiguration loginModeForProcessWeb ldapIP: value]; 
		with: self getGemStoneServerConfiguration ldapIpForWebProcess.
	html label with: 'Distinguished Name'.
	html textInput callback: [:value | self getGemStoneServerConfiguration loginModeForProcessWeb dn: value]; 
		with: self getGemStoneServerConfiguration dnForWebProcess.
	html label with: 'Organizational Unit'.
	html textInput callback: [:value | self getGemStoneServerConfiguration loginModeForProcessWeb ou: value]; 
		with: self getGemStoneServerConfiguration ouForWebProcess.
	html label with: 'Bind Password'.
	html textInput callback: [:value | self getGemStoneServerConfiguration loginModeForProcessWeb bindPassword: value]; 
		with: self getGemStoneServerConfiguration bindPasswordForWebProcess.! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
renderLoginModeOn: html

	html form with: [
		html fieldSet with:[
			html legend with: 'Login Mode'.
			html radioGroup
				callback: [:value | modeType := value];
				selected: modeType;
				with: [ :group |
					self loginModeNames do: [:each |
						html label: [ group radioButton onChange: 'submit()'; value: each.
							html text: each]]].
			(modeType = self ldapLoginModeName) 
			ifTrue: [self renderLdapOptionsOn: html]
			ifFalse: [self setLocalLoginMode].
			html submitButton callback: [self saveLoginMode]; with: 'Save Login Mode'.
		].
	].! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
saveLoginMode! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:26'!
setLocalLoginMode

	self getGemStoneServerConfiguration setLocalForProcesses! !

SEWAFWebObjectComposite subclass: #FormOrbeonServerConfigurationComposite
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 15:11'!
renderContentOn: html

	html div id: 'server-configuration'; with: [
		self session user isAdmin 
		ifTrue: [self renderServerConfigurationFormOn: html]
		ifFalse: [self renderServerConfigurationViewOn: html].
	]! !

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 15:10'!
renderServerConfigurationFormOn: html

	html form with: [
		html fieldSet with:[
			html legend with: 'Servers Configuration'.
					self renderServerConfigurationSettingOn: html.
					].
				].! !

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:39'!
renderServerConfigurationSettingOn: html

	html label attributeAt: 'for' put: 'databaseIP'; with: ('Database IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'databaseIP'; 
			callback: [:value | self getOrbeonDatabaseConfiguration databaseIP: value]; 
			with: self getOrbeonDatabaseConfiguration databaseIP.
	html label attributeAt: 'for' put: 'databaseUser'; with: ('Database User' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'databaseUser'; 
			callback: [:value | self getOrbeonDatabaseConfiguration databaseUser: value]; 
			with: self getOrbeonDatabaseConfiguration databaseUser.
	html label attributeAt: 'for' put: 'databasePassword'; with: ('Database Password' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'databasePassword'; 
			callback: [:value | self getOrbeonDatabaseConfiguration databasePassword: value]; 
			with: self getOrbeonDatabaseConfiguration databasePassword.
	html label attributeAt: 'for' put: 'orbeonIP'; with: ('Orbeon IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'orbeonIP'; 
			callback: [:value | self getOrbeonWebServerConfiguration orbeonIP: value]; 
			with: self getOrbeonWebServerConfiguration orbeonIP.
	html label attributeAt: 'for' put: 'gemstoneIP'; with: ('GemStone/S IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'gemstoneIP'; 
			callback: [:value | self getGemStoneServerConfiguration gemstoneIP: value]; 
			with: self getGemStoneServerConfiguration gemstoneIP.
	html submitButton callback: [self savePreferences]; with: ('Save Preferences' translateFor: self session user).! !

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:39'!
renderServerConfigurationViewOn: html

	html label with: 'Database IP'.
	html textInput 
		callback: [:value | self getOrbeonDatabaseConfiguration databaseIP: value]; 
		readonly: true; 
		with: self getOrbeonDatabaseConfiguration databaseIP.
	html label with: 'Database User'.
	html textInput 
		callback: [:value | self getOrbeonDatabaseConfiguration databaseUser: value]; 
		readonly: true; 
		with: self getOrbeonDatabaseConfiguration databaseUser.
	html label with: 'Database Password'.
	html textInput 
		callback: [:value | self getOrbeonDatabaseConfiguration databasePassword: value]; 
		readonly: true; 
		with: self getOrbeonDatabaseConfiguration databasePassword.
	html label with: 'Orbeon IP'.
	html textInput 
		callback: [:value | self getOrbeonWebServerConfiguration orbeonIP: value]; 
		readonly: true; 
		with: self getOrbeonWebServerConfiguration orbeonIP.
	html label with: 'GemStone/S IP'.
	html textInput 
		callback: [:value | self getGemStoneServerConfiguration gemstoneIP: value]; 
		readonly: true; 
		with: self getGemStoneServerConfiguration gemstoneIP.! !

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 15:10'!
savePreferences! !

SEWAFWebObjectComposite subclass: #OrbeonChartsReportComposite
	instanceVariableNames: 'currentIndex currentGroup currentReport'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonChartsReportComposite methodsFor: 'Accessing' stamp: 'BrunoBB 10/20/2016 11:18'!
currentGroup
	^currentGroup! !

!OrbeonChartsReportComposite methodsFor: 'Updating' stamp: 'BrunoBB 10/20/2016 11:18'!
currentGroup: newValue
	currentGroup := newValue! !

!OrbeonChartsReportComposite methodsFor: 'Accessing' stamp: 'BrunoBB 10/20/2016 11:18'!
currentIndex
	^currentIndex! !

!OrbeonChartsReportComposite methodsFor: 'Updating' stamp: 'BrunoBB 10/20/2016 11:18'!
currentIndex: newValue
	currentIndex := newValue! !

!OrbeonChartsReportComposite methodsFor: 'Accessing' stamp: 'BrunoBB 10/20/2016 12:28'!
currentReport
	^currentReport! !

!OrbeonChartsReportComposite methodsFor: 'Updating' stamp: 'BrunoBB 10/20/2016 12:28'!
currentReport: newValue
	currentReport := newValue! !

!OrbeonChartsReportComposite methodsFor: 'other' stamp: 'BrunoBB 10/20/2016 11:18'!
initialize

	super initialize.

	currentIndex := 0.! !

!OrbeonChartsReportComposite methodsFor: 'other' stamp: 'BrunoBB 10/20/2016 11:26'!
nextChart

	currentIndex := currentIndex + 1! !

!OrbeonChartsReportComposite methodsFor: 'other' stamp: 'BrunoBB 10/20/2016 11:26'!
previousChart

	currentIndex := currentIndex - 1! !

!OrbeonChartsReportComposite methodsFor: 'other' stamp: 'BrunoBB 10/20/2016 12:33'!
renderContentOn: html

	html form class: 'float-left'; with: [
		html fieldSet with: [ 
			html legend: 'Charts Report'.
			(currentIndex > 1) ifTrue: [html submitButton callback: [self previousChart]; with: '<<'].
			html div with: [html text: currentIndex printString].
			(self reporClass getCacheSize > currentIndex) ifTrue: [html submitButton callback: [self nextChart]; with: '>>'].
		]
	].

	((currentIndex > 0) and: [currentIndex <= self reporClass getCacheSize]) ifFalse: [^self]. 

	currentReport := self reporClass cache at: currentIndex.

	html div with: [self renderReportOn: html].

	html div id: 'orbeon-graph'; class: 'overflow-scroll'; 
		with: [html html: currentReport svgContents].! !

!OrbeonChartsReportComposite methodsFor: 'other' stamp: 'BrunoBB 10/20/2016 12:35'!
renderReportOn: html

	html label with: 'Name'.
	html text: currentReport name.
html break.
	html label with: 'Descritpion'.
	html text: currentReport description.
html break.
	html label with: 'Created Time'.
	html text: currentReport createdTime.
html break.
	html label with: 'Time to Construct'.
	html text: currentReport secondsToConstruct.
html break.
	html label with: 'Is Closed'.
	html text: currentReport isClosed.
html break.
	html label with: 'Start Date'.
	html text: currentReport startDate.
html break.
	html label with: 'End Date'.
	html text: currentReport endDate.
html break.
	html label with: 'Distribution Method'.
	html text: currentReport distributionMethod.
html break.
	html label with: 'Condition'.
	html text: currentReport conditionStringBlock.
html break.
	html label with: 'Creator'.
	html text: currentReport userName.! !

!OrbeonChartsReportComposite methodsFor: 'other' stamp: 'BrunoBB 10/29/2016 14:20'!
reporClass

	^AppDistributionReport! !

SEWAFWebObjectComposite subclass: #OrbeonGraphicsComposite2
	instanceVariableNames: 'formsBatchedList selectedDefinition graphName svgCanvas showDefinitionList distributionReport showOptionsForms'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 09/23/2016 09:22'!
columnsForFormsDefinitions

		^OrderedCollection new  
			add: ((SewafReportColumn selector: #printShortId title: 'Id' onClick: [:each | (selectedDefinition == each) ifFalse: [selectedDefinition := each] ifTrue: [selectedDefinition := nil]]) beSortable beSearchable; sortBlock: [:a :b | a id <= b id]; yourself);
			add: ((SewafReportColumn selector: #getApplicationName title: 'Application') beSortable beSearchable; sortBlock: [:a :b | a getApplicationName <= b getApplicationName]; yourself);
			add: ((SewafReportColumn selector: #formName title: 'Form') beSortable beSearchable; sortBlock: [:a :b | a formName <= b formName]; yourself);
			add: ((SewafReportColumn selector: #version title: 'Version') beSortable beSearchable; sortBlock: [:a :b | a version <= b version]; yourself);
			add: ((SewafReportColumn selector: #printNumberOfInstances title: 'Instances') beSortable beSearchable; sortBlock: [:a :b | a printNumberOfInstances <= b printNumberOfInstances]; yourself);
			add: ((SewafReportColumn selector: #modifiedTime title: 'Last Mod') beSortable beSearchable; sortBlock: [:a :b | a modifiedTime <= b modifiedTime]; yourself);
			yourself! !

!OrbeonGraphicsComposite2 methodsFor: 'Accessing' stamp: 'BrunoBB 10/19/2016 12:55'!
distributionReport
	^distributionReport! !

!OrbeonGraphicsComposite2 methodsFor: 'Updating' stamp: 'BrunoBB 10/19/2016 12:55'!
distributionReport: newValue
	distributionReport := newValue! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'BrunoBB 10/19/2016 13:07'!
drawAppBarQuantityChart
	| text |
 
	selectedDefinition ifNil: [^self].
 
	graphName := #applicationFormsGraph.
	
	distributionReport := selectedDefinition application reportQuantityDistributionFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition application applicationName, ' | total forms: ', distributionReport getTotalValue printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawVerticalBarGraph: distributionReport rootDistribution at: 10@10 maxHeight: 270 width: 40 transform: 'translate(20,320)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'BrunoBB 10/19/2016 13:07'!
drawAppDonutQuantityChart
	| text |
 
	selectedDefinition ifNil: [^self].
 
	graphName := #applicationFormsGraph.
	
	distributionReport := selectedDefinition application reportQuantityDistributionFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition application applicationName, ' | total forms: ', distributionReport getTotalValue printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.
	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,150)'.
	"svgCanvas drawHorizontalBarGraph: values at: 20@20 maxWidth: 800 width: 25."
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:55'!
drawAppFormInstancesCreationDayDistributionGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #appDayDistributionGraph.
	
	distributionReport := selectedDefinition application reportCreationDayDistributionQuantityFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', selectedDefinition application getNumberOfInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate 
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent' ifAbsent: [false]).
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:56'!
drawAppFormInstancesCreationPieByMonthGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #globalPieByMonthGraph.
	
	distributionReport := selectedDefinition application reportCreationDistributionByMonthFrom: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', selectedDefinition application getNumberOfInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:56'!
drawAppFormInstancesModificationDayDistributionGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #appDayDistributionGraph.
	
	distributionReport := selectedDefinition application reportModificationDayDistributionQuantityFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', selectedDefinition application getNumberOfInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate 
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent' ifAbsent: [false]).
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:56'!
drawAppFormInstancesModificationPieByMonthGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #globalPieByMonthGraph.

	distributionReport := selectedDefinition application reportModificationDistributionByMonthFrom: self getStartDate to: self getEndDate.
	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', selectedDefinition application getNumberOfInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:57'!
drawFieldInstancesBarQuantityChart
	| fieldName text |

	selectedDefinition ifNil: [^self].

 	graphName := #fieldDistributionGraph.

	fieldName := self searchValueAt: 'field-name' ifAbsent: [^self].

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', selectedDefinition printNumberOfInstances.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	distributionReport :=  self selectedDefinition reportValueDistributionFor: fieldName from: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas drawVerticalBarGraph: distributionReport rootDistribution at: 10@10 maxHeight: 270 width: 40 transform: 'translate(20,320)'.

	distributionReport svgContents: svgCanvas contents! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:57'!
drawFieldInstancesCreationDayDistributionGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #dayDistributionGraph.

	distributionReport := selectedDefinition registry reportInstancesDayDistributionUsing: #createdTime from: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition applicationName, ' | ', selectedDefinition formName,' | total forms: ', distributionReport getTotalValue printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate 
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent' ifAbsent: [false]).
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:57'!
drawFieldInstancesCreationPieByMonthGraph
	| text |
	
	selectedDefinition ifNil: [^self].

	graphName := #globalPieByMonthGraph.

	distributionReport := self selectedDefinition registry reportCreationDistributionByMonthFrom: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', selectedDefinition formName,' | total forms: ', selectedDefinition registry numberOfInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:58'!
drawFieldInstancesDonutQuantityChart
	| fieldName text |

	selectedDefinition ifNil: [^self].

 	graphName := #fieldDistributionGraph.

	fieldName := self searchValueAt: 'field-name' ifAbsent: [^self].

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', selectedDefinition printNumberOfInstances.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	distributionReport := selectedDefinition reportValueDistributionFor: fieldName from: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,150)'.
	distributionReport svgContents: svgCanvas contents! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/28/2016 08:33'!
drawFieldInstancesDoubleBarQuantityChart
	| fieldName fieldName2 text |

	selectedDefinition ifNil: [^self].

 	graphName := #fieldDistributionGraph.

	fieldName := self searchValueAt: 'field-name' ifAbsent: [^self].
	fieldName2 := self searchValueAt: 'field-name-2' ifAbsent: [^self].

	distributionReport := selectedDefinition reportValueDistributionForFieldName: fieldName secondaryField: fieldName2 satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', distributionReport getTotalValue printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawJoin: distributionReport getFirstSubDistribution
					verticalBarGraph: distributionReport rootDistribution 
					at: 15@15 
					maxHeight: 150 
					width: 30
					transform: 'translate(50,300) scale(1.5, 1.5)'.

	distributionReport svgContents: svgCanvas contents! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/28/2016 08:33'!
drawFieldInstancesDoubleDonutQuantityChart
	| fieldName fieldName2 text |

	selectedDefinition ifNil: [^self].

 	graphName := #fieldDistributionGraph.

	fieldName := self searchValueAt: 'field-name' ifAbsent: [^self].
	fieldName2 := self searchValueAt: 'field-name-2' ifAbsent: [^self].

	distributionReport := selectedDefinition reportValueDistributionForFieldName: fieldName secondaryField: fieldName2 satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', distributionReport getTotalValue printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDoubleDonutQuantity: distributionReport rootDistribution 
					subQuantities: distributionReport getFirstSubDistribution
					at: 10@10 
					radius: 100 
					subRadiusRatio: 1.4 
					backcolor: 'lightgray' 
					transform:  'translate(200,200)'.

	distributionReport svgContents: svgCanvas contents! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:58'!
drawFieldInstancesModificationDayDistributionGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #dayDistributionGraph.

	distributionReport := selectedDefinition registry reportInstancesDayDistributionUsing: #modifiedTime from: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', selectedDefinition formName,' | total forms: ', distributionReport getTotalValue printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate 
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent' ifAbsent: [false]).
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:58'!
drawFieldInstancesModificationPieByMonthGraph
	| text |
	
	selectedDefinition ifNil: [^self].

	graphName := #globalPieByMonthGraph.

	distributionReport := selectedDefinition registry reportModificationDistributionByMonthFrom: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', selectedDefinition formName,' | total forms: ', selectedDefinition registry numberOfInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:59'!
drawFormInstancesCreationDayDistributionGraph
	| definition text |

	selectedDefinition ifNil: [^self].
 
	graphName := #dayDistributionGraph.

	definition := self hasAllVersionsSelected ifFalse: [selectedDefinition] ifTrue: [selectedDefinition registry].

	distributionReport := definition reportInstancesDayDistributionUsing: #createdTime from: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition applicationName, ' | ', selectedDefinition formName,' | total forms: ', definition numberOfInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate 
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent' ifAbsent: [false]).
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:59'!
drawFormInstancesCreationPieByMonthGraph
	| text |

	selectedDefinition ifNil: [^self].

	graphName := #globalPieByMonthGraph.

	distributionReport := selectedDefinition reportInstancesCreationDistributionByMonthFrom: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', selectedDefinition formName,' | total forms: ', selectedDefinition instances size printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 12:59'!
drawFormInstancesModificationDayDistributionGraph
	| definition text |

	selectedDefinition ifNil: [^self].
 
	graphName := #dayDistributionGraph.
	
	definition := self hasAllVersionsSelected ifFalse: [selectedDefinition] ifTrue: [selectedDefinition registry].

	distributionReport := selectedDefinition reportInstancesDayDistributionUsing: #modifiedTime from: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', selectedDefinition formName,' | total forms: ', selectedDefinition instances size printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent' ifAbsent: [false]).

	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 13:00'!
drawFormInstancesModificationPieByMonthGraph
	| text |

	selectedDefinition ifNil: [^self].

	graphName := #globalPieByMonthGraph.

	distributionReport := selectedDefinition reportInstancesModificationDistributionByMonthFrom: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', selectedDefinition formName,' | total forms: ', selectedDefinition instances size printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'BrunoBB 10/19/2016 13:06'!
drawFormRegistryBarQuantityChart
	| text |
 
	selectedDefinition ifNil: [^self].
 
	graphName := #applicationFormsGraph.

	distributionReport := selectedDefinition registry reportQuantityDistributionFrom: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition application applicationName, ' | total forms: ', (selectedDefinition registry getInstancesQuantityFrom: self getStartDate to: self getEndDate) printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawVerticalBarGraph: distributionReport rootDistribution at: 10@10 maxHeight: 270 width: 40 transform: 'translate(20,320)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'BrunoBB 10/19/2016 13:06'!
drawFormRegistryCreationDayDistributionGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #appDayDistributionGraph.
	
	distributionReport := selectedDefinition registry reportInstancesDayDistributionUsing: #createdTime from: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', selectedDefinition formName , ' | total forms: ', selectedDefinition registry getAllInstancesSize printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate 
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent').
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'BrunoBB 10/19/2016 13:06'!
drawFormRegistryDonutQuantityChart
	| text |
 
	selectedDefinition ifNil: [^self].
 
	graphName := #applicationFormsGraph.

	distributionReport := selectedDefinition registry reportQuantityDistributionFrom: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition application applicationName, ' | ', selectedDefinition formName, ' | total forms: ', (selectedDefinition registry getInstancesQuantityFrom: self getStartDate to: self getEndDate) printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.
	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,150)'.
	"svgCanvas drawHorizontalBarGraph: values at: 20@20 maxWidth: 800 width: 25."
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 13:00'!
drawFormRegistryFormInstancesCreationPieByMonthGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #globalPieByMonthGraph.

	distributionReport := selectedDefinition registry reportCreationDistributionByMonthFrom: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', selectedDefinition application getNumberOfInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 13:00'!
drawFormRegistryFormInstancesModificationPieByMonthGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #globalPieByMonthGraph.

	distributionReport := selectedDefinition registry reportModificationDistributionByMonthFrom: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', 'total forms: ', selectedDefinition application getNumberOfInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'BrunoBB 10/19/2016 13:05'!
drawFormRegistryModificationDayDistributionGraph
	| text |

	selectedDefinition ifNil: [^self].
 
	graphName := #appDayDistributionGraph.

	distributionReport := selectedDefinition registry reportInstancesDayDistributionUsing: #modifiedTime from: self getStartDate to: self getEndDate satisfying: self queryBlock.

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := selectedDefinition  applicationName, ' | ', selectedDefinition formName , ' | total forms: ', selectedDefinition registry getAllInstancesSize printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate 
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent').
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 13:01'!
drawGlobalAppFormInstancesCreationDayDistributionGraph
	| text |

	graphName := #globalAppDayDistributionGraph.
	
	distributionReport := self getOrbeonApplicationClass reportCreationDayDistributionQuantityFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := 'total forms in repository: ', self getOrbeonApplicationClass getNumberOfFormInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent' ifAbsent: [false]).
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 13:01'!
drawGlobalAppFormInstancesModificationDayDistributionGraph
	| text |
 
	graphName := #globalAppDayDistributionGraph. 
	
	distributionReport := self getOrbeonApplicationClass reportModificationDayDistributionQuantityFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := 'total forms in repository: ', self getOrbeonApplicationClass getNumberOfFormInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas 
		drawWorkingDays: distributionReport rootDistribution
		at: 60@80 
		from: self getStartDate
		to: self getEndDate
		width: 20 
		color: 'green' 
		dayHasContent: (self searchValueAt: 'dayHasContent' ifAbsent: [false]).
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'BrunoBB 10/19/2016 13:05'!
drawGlobalBarQuantityChart
	| text |
 
	graphName := #applicationFormsGraph.
	
	distributionReport := self getOrbeonApplicationClass reportQuantityDistributionFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := 'total forms: ', distributionReport getTotalValue printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.
	svgCanvas drawVerticalBarGraph: distributionReport rootDistribution at: 10@10 maxHeight: 270 width: 40 transform: 'translate(20,320)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'BrunoBB 10/19/2016 13:04'!
drawGlobalBarSplitQuantityChart
	| text |
 
	graphName := #applicationFormsGraph.
	
	distributionReport := self getOrbeonApplicationClass reportQuantityDistributionFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := 'total forms: ', distributionReport getTotalValue printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.
	svgCanvas drawVerticalBarGraph: distributionReport rootDistribution at: 10@10 maxHeight: 270 width: 40 transform: 'translate(20,320)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'BrunoBB 10/20/2016 10:47'!
drawGlobalDonutQuantityChart
	| text |
 
	graphName := #applicationFormsGraph.
	
	distributionReport := self getOrbeonApplicationClass reportQuantityDistributionFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := 'total forms: ', distributionReport getTotalValue printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.
	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,150)'.
	"svgCanvas drawHorizontalBarGraph: values at: 20@20 maxWidth: 800 width: 25."
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 13:01'!
drawGlobalFormInstancesCreationPieByMonthGraph
	| text |
 
	graphName := #globalPieByMonthGraph.

	distributionReport := self getOrbeonApplicationClass reportCreationDistributionByMonthFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := 'total forms in repository: ', self getOrbeonApplicationClass getNumberOfFormInstances  printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/19/2016 13:02'!
drawGlobalFormInstancesModificationPieByMonthGraph
	| text |
 
	graphName := #globalPieByMonthGraph.
	
	distributionReport := self getOrbeonApplicationClass reportModificationDistributionByMonthFrom: self getStartDate to: self getEndDate. 

	svgCanvas := self svgCanvasClass newWidth: '100%' height: '100%'.
	text := 'total forms in repository: ', self getOrbeonApplicationClass getNumberOfFormInstances printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.

	svgCanvas drawDonutQuantity: distributionReport rootDistribution at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,160)'.
	distributionReport svgContents: svgCanvas contents.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart command' stamp: 'brunobb 08/13/2017 15:05'!
drawSelectedChart

	showOptionsForms := false.
	(self isGlobalScope and: [self isDayDistributionCreationChart]) ifTrue: [^self drawGlobalAppFormInstancesCreationDayDistributionGraph].
	(self isGlobalScope and: [self isDayDistributionModificationChart]) ifTrue: [^self drawGlobalAppFormInstancesModificationDayDistributionGraph].
	(self isGlobalScope and: [self isDonutCreationByMonthChart]) ifTrue: [^self drawGlobalFormInstancesCreationPieByMonthGraph].
	(self isGlobalScope and: [self isDonutModificationByMonthChart]) ifTrue: [^self drawGlobalFormInstancesModificationPieByMonthGraph].
	(self isGlobalScope and: [self isDonutQuantityChart]) ifTrue: [^self drawGlobalDonutQuantityChart].
	(self isGlobalScope and: [self isBarQuantityChart]) ifTrue: [^self drawGlobalBarQuantityChart].
	(self isGlobalScope and: [self isBarSplitQuantityChart]) ifTrue: [^self drawGlobalBarSplitQuantityChart].

	(self isApplicationScope and: [self isDayDistributionCreationChart]) ifTrue: [^self drawAppFormInstancesCreationDayDistributionGraph].
	(self isApplicationScope and: [self isDayDistributionModificationChart]) ifTrue: [^self drawAppFormInstancesModificationDayDistributionGraph].
	(self isApplicationScope and: [self isDonutCreationByMonthChart]) ifTrue: [^self drawAppFormInstancesCreationPieByMonthGraph].
	(self isApplicationScope and: [self isDonutModificationByMonthChart]) ifTrue: [^self drawAppFormInstancesModificationPieByMonthGraph].
	(self isApplicationScope and: [self isDonutQuantityChart]) ifTrue: [^self drawAppDonutQuantityChart].
	(self isApplicationScope and: [self isBarQuantityChart]) ifTrue: [^self drawAppBarQuantityChart].

	(self isFormDefinitionAllVersionsScope and: [self isDayDistributionCreationChart]) ifTrue: [self drawFormRegistryCreationDayDistributionGraph].
	(self isFormDefinitionAllVersionsScope and: [self isDayDistributionModificationChart]) ifTrue: [self drawFormRegistryModificationDayDistributionGraph].
	(self isFormDefinitionAllVersionsScope and: [self isDonutCreationByMonthChart]) ifTrue: [self drawFormRegistryFormInstancesCreationPieByMonthGraph].
	(self isFormDefinitionAllVersionsScope and: [self isDonutModificationByMonthChart]) ifTrue: [self drawFormRegistryFormInstancesModificationPieByMonthGraph].
	(self isFormDefinitionAllVersionsScope and: [self isDonutQuantityChart]) ifTrue: [^self drawFormRegistryDonutQuantityChart].
	(self isFormDefinitionAllVersionsScope and: [self isBarQuantityChart]) ifTrue: [^self drawFormRegistryBarQuantityChart].

	(self isFormDefinitionScope and: [self isDayDistributionCreationChart]) ifTrue: [self drawFormInstancesCreationDayDistributionGraph].
	(self isFormDefinitionScope and: [self isDayDistributionModificationChart]) ifTrue: [self drawFormInstancesModificationDayDistributionGraph].
	(self isFormDefinitionScope and: [self isDonutCreationByMonthChart]) ifTrue: [self drawFormInstancesCreationPieByMonthGraph].
	(self isFormDefinitionScope and: [self isDonutModificationByMonthChart]) ifTrue: [self drawFormInstancesModificationPieByMonthGraph].
	(self isFormDefinitionScope and: [self isDonutFieldTypeDistributionChart]) ifTrue: [self drawTypesGraph].

	(self isFieldValuesScope and: [self isDayDistributionCreationChart]) ifTrue: [^self drawFieldInstancesCreationDayDistributionGraph].
	(self isFieldValuesScope and: [self isDayDistributionModificationChart]) ifTrue: [^self drawFieldInstancesModificationDayDistributionGraph].
	(self isFieldValuesScope and: [self isDonutCreationByMonthChart]) ifTrue: [^self drawFieldInstancesCreationPieByMonthGraph].
	(self isFieldValuesScope and: [self isDonutModificationByMonthChart]) ifTrue: [^self drawFieldInstancesModificationPieByMonthGraph].
	(self isFieldValuesScope and: [self isBarQuantityChart]) ifTrue: [^self drawFieldInstancesBarQuantityChart].
	(self isFieldValuesScope and: [self isDonutQuantityChart]) ifTrue: [^self drawFieldInstancesDonutQuantityChart].
	(self isFieldValuesScope and: [self isDoubleDonutQuantityChart]) ifTrue: [^self drawFieldInstancesDoubleDonutQuantityChart].
	(self isFieldValuesScope and: [self isDoubleBarQuantityChart]) ifTrue: [^self drawFieldInstancesDoubleBarQuantityChart].! !

!OrbeonGraphicsComposite2 methodsFor: 'charts' stamp: 'BrunoBB 10/07/2016 15:34'!
drawTypesGraph
	| values text |

	selectedDefinition ifNil: [^self]. 

	graphName := #definitionTypeGraph.
	
	values := selectedDefinition getFieldTypesQuantity. 
	svgCanvas := self svgCanvasClass newWidth: '1000px' height: '1000px'.
	text := selectedDefinition  applicationName, ' | ', selectedDefinition formName, ' | total fields: ', selectedDefinition fieldsType size printString.

	svgCanvas drawText: text at: 20@20 textSizePx: '18px'.
	svgCanvas drawDonutQuantity: values at: 10@10 radius: 120 width: 60 backcolor: '#BCBCBC' transform: 'translate(150,150)'.! !

!OrbeonGraphicsComposite2 methodsFor: 'Accessing' stamp: 'BrunoBB 09/23/2016 07:47'!
formsBatchedList
	^formsBatchedList! !

!OrbeonGraphicsComposite2 methodsFor: 'Updating' stamp: 'BrunoBB 09/23/2016 07:47'!
formsBatchedList: newValue
	formsBatchedList := newValue! !

!OrbeonGraphicsComposite2 methodsFor: 'charts names' stamp: 'BrunoBB 10/08/2016 06:10'!
getCharScopeNames

	^#('Global' 'Application' 'Form Definition (All Versions)' 'Form Definition (Selected)' 'Fields Values')! !

!OrbeonGraphicsComposite2 methodsFor: 'charts names' stamp: 'BrunoBB 10/28/2016 05:00'!
getChartTypes

	self isGlobalScope 
	ifTrue: [^#('Bar Quantity' 'Day Distribution Creation' 'Day Distribution Modification' 'Donut Creation by Month' 'Donut Modification by Month' 'Donut Quantity')].

	self isApplicationScope 
	ifTrue: [^#('Bar Quantity' 'Day Distribution Creation' 'Day Distribution Modification' 'Donut Creation by Month' 'Donut Modification by Month' 'Donut Quantity')].

	self isFormDefinitionAllVersionsScope 
	ifTrue: [^#('Bar Quantity' 'Day Distribution Creation' 'Day Distribution Modification' 'Donut Creation by Month' 'Donut Modification by Month' 'Donut Quantity')].

	self isFormDefinitionScope 
	ifTrue: [^#('Day Distribution Creation' 'Day Distribution Modification' 'Donut Creation by Month' 'Donut Modification by Month' 'Donut Field Type Distribution')].

	self isFieldValuesScope 
	ifTrue: [^#('Bar Quantity' 'Double Bar Quantity' 'Day Distribution Creation' 'Day Distribution Modification' 'Donut Creation by Month' 'Donut Modification by Month' 'Donut Quantity' 'Double Donut Quantity')].

	^#()! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 10/04/2016 04:08'!
getDateFromSearchValueNamed: aString

	^self getDateFromSearchValueNamed: aString onError: (Date fromString: '01/01/2016')! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 11/12/2016 10:37'!
getDateFromSearchValueNamed: aString onError: anObject

	^[Date fromString: (self searchValueAt: aString)] 
		on: Error 
		do: [:err | (anObject class == Date) ifTrue: [self addSearchValue: anObject named: aString].
		anObject]! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 10/04/2016 05:05'!
getEndDate

	^self getDateFromSearchValueNamed: 'end' onError: (Date fromString: '12/31/2016')! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 09/23/2016 09:12'!
getFormFieldList

	^selectedDefinition getFieldsNames! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 10/04/2016 05:05'!
getStartDate

	^self getDateFromSearchValueNamed: 'start' onError: (Date fromString: '01/01/2016')! !

!OrbeonGraphicsComposite2 methodsFor: 'Accessing' stamp: 'BrunoBB 09/23/2016 07:47'!
graphName
	^graphName! !

!OrbeonGraphicsComposite2 methodsFor: 'Updating' stamp: 'BrunoBB 09/23/2016 07:47'!
graphName: newValue
	graphName := newValue! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 10/04/2016 08:44'!
hasAllVersionsSelected

	^self searchValueAt: 'all-version' ifAbsent: [false]! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'brunobb 08/13/2017 15:04'!
initialize 

	super initialize.

	self initializeBatchedLists.

	showDefinitionList := true.
	showOptionsForms := true.! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 09/23/2016 07:47'!
initializeBatchedLists

	formsBatchedList := SewafBatchedList parentComponent: self.
	formsBatchedList batchSize: 4;
		isBottomBatch: true;
		navigationCssClass: 'batch-div-bottom'.! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 09/23/2016 07:47'!
initializeSewafTableForFormsDefinitions
	| table |

	table := (SewafSelectTableReport parent: self)
		"rows: self searchRoles; "
		selectedColor: 'beige';
		nonSelectedColor: 'darkgray';
		columns: self columnsForFormsDefinitions;
		rowColors: #(white white);
		rowPeriod: 1;
		yourself.

	^self addSewafTable: table named: 'FormsDefinitions'.! !

!OrbeonGraphicsComposite2 methodsFor: 'chart scope' stamp: 'BrunoBB 10/06/2016 14:16'!
isApplicationScope

	^(self searchValueAt: 'chart-scope') = 'Application'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/08/2016 05:16'!
isBarQuantityChart

	^(self searchValueAt: 'chart-type') = 'Bar Quantity'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/08/2016 06:50'!
isBarSplitQuantityChart

	^(self searchValueAt: 'chart-type') = 'Bar Split Quantity'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/06/2016 14:20'!
isDayDistributionCreationChart

	^(self searchValueAt: 'chart-type') = 'Day Distribution Creation'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/06/2016 14:20'!
isDayDistributionModificationChart

	^(self searchValueAt: 'chart-type') = 'Day Distribution Modification'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/06/2016 14:20'!
isDonutCreationByMonthChart

	^(self searchValueAt: 'chart-type') = 'Donut Creation by Month'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/06/2016 14:23'!
isDonutFieldTypeDistributionChart

	^(self searchValueAt: 'chart-type') = 'Donut Field Type Distribution'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/06/2016 14:21'!
isDonutModificationByMonthChart

	^(self searchValueAt: 'chart-type') = 'Donut Modification by Month'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/06/2016 14:21'!
isDonutQuantityChart

	^(self searchValueAt: 'chart-type') = 'Donut Quantity'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/28/2016 05:00'!
isDoubleBarQuantityChart

	^(self searchValueAt: 'chart-type') = 'Double Bar Quantity'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart type' stamp: 'BrunoBB 10/25/2016 08:16'!
isDoubleDonutQuantityChart

	^(self searchValueAt: 'chart-type') = 'Double Donut Quantity'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart scope' stamp: 'BrunoBB 10/06/2016 14:17'!
isFieldValuesScope

	^(self searchValueAt: 'chart-scope') = 'Fields Values'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart scope' stamp: 'BrunoBB 10/06/2016 14:16'!
isFormDefinitionAllVersionsScope

	^(self searchValueAt: 'chart-scope') = 'Form Definition (All Versions)'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart scope' stamp: 'BrunoBB 10/08/2016 06:10'!
isFormDefinitionScope

	^(self searchValueAt: 'chart-scope') = 'Form Definition (Selected)'! !

!OrbeonGraphicsComposite2 methodsFor: 'chart scope' stamp: 'BrunoBB 10/06/2016 14:13'!
isGlobalScope

	^(self searchValueAt: 'chart-scope') = 'Global'! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 11/13/2016 09:59'!
queryBlock

	^(self searchValueAt: 'process-condition') 
		ifNil: [[:each | true]] 
		ifNotNil: [:blockString | [blockString evaluate] on: Error do: [:ex | [:each | false]]]! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 10/08/2016 06:44'!
renderChartTypeComboOn: html

	html select 
		list: self getCharScopeNames;
		selected: (self searchValueAt: 'chart-scope'); 
		callback: [:value | self addSearchValue: value named: 'chart-scope'];
		onChange: 'submit()'.
	html select 
		list: self getChartTypes;
		selected: (self searchValueAt: 'chart-type'); 
		callback: [:value | self addSearchValue: value named: 'chart-type'];
		onChange: 'submit()'.

	((self searchValueAt: 'chart-type' ifAbsent: ['']) includesSubString: 'Day Distribution') 
	ifTrue: [
html break.
		html label: [ 
			html checkbox value: (self searchValueAt: 'dayHasContent' ifAbsent: ['']); callback: [:value | self addSearchValue: value named: 'dayHasContent'].
			html text: 'Show Days Count'
		].
	].
html break.! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'brunobb 08/13/2017 15:17'!
renderContentOn: html

	self renderOpenCloseIconOn: html.

	formsBatchedList items: (showDefinitionList ifTrue: [self getOrbeonApplicationClass getAllFormDefinitions] ifFalse: [selectedDefinition ifNil: [#()] ifNotNil: [:value | OrderedCollection with: value] ]).

	html div id: 'system-rols'; class: 'default-gray-table '; 
		with:[html render: (formsBatchedList table: self sewafTableForFormsDefinitions)].

	showOptionsForms 
	ifTrue: [html div with: [self renderGraphicsOptionsOn: html]]
	ifFalse: [html div with: [self renderGraphicsOptionsSwitchIconOn: html]].

	graphName ifNotNil: [self renderGraphOn: html]! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 10/25/2016 08:36'!
renderFormFieldCombo2On: html

	selectedDefinition ifNil: [^self]. 
 
	html label 
		attributeAt: 'for' put: 'formFields-2';
		with: ('Secondary Field' translateFor: self session user).

	html select "Field Definition List" 
		attributeAt: 'id' put: 'formFields-2';
		class: 'search-section-width-200';
		list: self getFormFieldList;
		callback: [:value | self addSearchValue: value named: 'field-name-2'];
		selected: (self searchValueAt: 'field-name-2' ifAbsent: ['']).! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 09/23/2016 09:15'!
renderFormFieldComboOn: html

	selectedDefinition ifNil: [^self]. 
 
	html label 
		attributeAt: 'for' put: 'formFields';
		with: ('Field' translateFor: self session user).

	html select "Field Definition List" 
		attributeAt: 'id' put: 'formFields';
		class: 'search-section-width-200';
		list: self getFormFieldList;
		onChange: 'submit()';
		callback: [:value | self addSearchValue: value named: 'field-name'];
		selected: (self searchValueAt: 'field-name' ifAbsent: ['']).! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 10/28/2016 05:40'!
renderFormFieldFilterOn: html

	self renderFormFieldComboOn: html.
	(self isDoubleDonutQuantityChart or: [self isDoubleBarQuantityChart])
	ifTrue: [self renderFormFieldCombo2On: html]."this is the secondary field in the Distribution"
html break.
	html label attributeAt: 'for' put: 'range-start'; with: ('Range' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'range-start'; callback: [:value | self addSearchValue: value named: 'range-start']; with: (self searchValueAt: 'range-start').
	html textInput attributeAt: 'id' put: 'range-end'; callback: [:value | self addSearchValue: value named: 'range-end']; with: (self searchValueAt: 'range-end').
html break.
	html label attributeAt: 'for' put: 'form-condition'; with: ('Form Condition Block' translateFor: self session user).
	html textArea attributeAt: 'id' put: 'form-condition'; callback: [:value | self addSearchValue: value named: 'form-condition']; with: (self searchValueAt: 'form-condition').
html break.! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'brunobb 08/13/2017 14:44'!
renderGraphicsOptionsOn: html

		html form class: 'centered-unique-form'; with: [
			html fieldSet class: 'border-radius10px'; with: [ 
				html legend: 'Charts'.
				self renderChartTypeComboOn: html.
				self renderStartEndDatesOn: html.
				((self searchValueAt: 'chart-scope') = 'Fields Values') ifTrue: [self renderFormFieldFilterOn: html]. 
				html submitButton callback: [self drawSelectedChart]; with: 'Show Chart'.
				html submitButton callback: [self saveChart]; with: 'Save Chart'.
			]
		]! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'brunobb 08/13/2017 15:17'!
renderGraphicsOptionsSwitchIconOn: html

	html anchor 
		callback: [showOptionsForms := true];
		with: [html image url: (SEWAFIconLibrary / #photovideoswitchcameraPng)]! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 10/02/2016 10:12'!
renderGraphOn: html

	html div id: 'orbeon-graph'; class: 'overflow-scroll'; with: [html html: svgCanvas contents].

	graphName := nil.! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 09/23/2016 08:12'!
renderOpenCloseIconOn: html
	| iconSymbol |

	iconSymbol := showDefinitionList ifTrue:[#arrowsupcircular16Png] ifFalse: [#arrowsdowncircular16Png].

	html anchor 
		class: 'float-left';
		callback: [showDefinitionList := showDefinitionList not];
		with: [
			html image url: (SEWAFIconLibrary / iconSymbol); 
				altText: 'Toggle Window'; 
				title: 'Toggle Window'.
		].! !

!OrbeonGraphicsComposite2 methodsFor: 'render' stamp: 'BrunoBB 10/04/2016 16:07'!
renderStartEndDatesOn: html

	html label attributeAt: 'for' put: 'start'; with: ('Start' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'start'; callback: [:value | self addSearchValue: value named: 'start']; with: (self searchValueAt: 'start').
	html label attributeAt: 'for' put: 'end'; with: ('End' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'end'; callback: [:value | self addSearchValue: value named: 'end']; with: (self searchValueAt: 'end').

html break.! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 10/20/2016 11:40'!
saveChart

	distributionReport addToCache.

	distributionReport creator: self session user.! !

!OrbeonGraphicsComposite2 methodsFor: 'Accessing' stamp: 'BrunoBB 09/23/2016 07:47'!
selectedDefinition
	^selectedDefinition! !

!OrbeonGraphicsComposite2 methodsFor: 'Updating' stamp: 'BrunoBB 09/23/2016 07:47'!
selectedDefinition: newValue
	selectedDefinition := newValue! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 09/23/2016 07:47'!
sewafTableForFormsDefinitions
	| table |

	table := (self hasTableNamed: 'FormsDefinitions') 
		ifTrue: [self getTableNamed: 'FormsDefinitions' ifAbsent: []] 
		ifFalse: [self initializeSewafTableForFormsDefinitions].

	table selectedObject: selectedDefinition.

	^table! !

!OrbeonGraphicsComposite2 methodsFor: 'Accessing' stamp: 'BrunoBB 09/23/2016 07:47'!
showDefinitionList
	^showDefinitionList! !

!OrbeonGraphicsComposite2 methodsFor: 'Updating' stamp: 'BrunoBB 09/23/2016 07:47'!
showDefinitionList: newValue
	showDefinitionList := newValue! !

!OrbeonGraphicsComposite2 methodsFor: 'Accessing' stamp: 'brunobb 08/13/2017 15:04'!
showOptionsForms
	^showOptionsForms! !

!OrbeonGraphicsComposite2 methodsFor: 'Updating' stamp: 'brunobb 08/13/2017 15:04'!
showOptionsForms: newValue
	showOptionsForms := newValue! !

!OrbeonGraphicsComposite2 methodsFor: 'Accessing' stamp: 'BrunoBB 09/23/2016 07:47'!
svgCanvas
	^svgCanvas! !

!OrbeonGraphicsComposite2 methodsFor: 'Updating' stamp: 'BrunoBB 09/23/2016 07:47'!
svgCanvas: newValue
	svgCanvas := newValue! !

!OrbeonGraphicsComposite2 methodsFor: 'other' stamp: 'BrunoBB 09/23/2016 07:47'!
svgCanvasClass

	^JASVGIGraphCanvas! !

SEWAFWebLogin subclass: #WAOrbeonLogin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonLogin class methodsFor: 'other' stamp: 'BrunoBB 02/08/2017 06:08'!
register
	| application |

	WAAdmin unregister: 'orbeon'.

	application := WAAdmin register: self asApplicationAt: 'orbeon'.
	"application preferenceAt: #scriptGeneratorClass put: JQScriptGenerator."
	application 
		preferenceAt: #sessionClass put: WAOrbeonSession;
		addLibrary: JQDeploymentLibrary;
		addLibrary: JQUiDeploymentLibrary;
		addLibrary: JQUiLightnessTheme.! !

!WAOrbeonLogin class methodsFor: 'other' stamp: 'BrunoBB 02/07/2017 10:49'!
unregister

	WAAdmin unregister: 'orbeon'.! !

!WAOrbeonLogin methodsFor: 'ldap_example' stamp: 'BrunoBB 11/01/2014 15:03'!
ldapExample_getLdapResultForCurrentUser

	^(System performOnServer:
		'ldapcompare -x -D "cn=admin.orbeon,C=UY" -H ldap://10.255.5.111 "uid=', name,',ou=usuarios,cn=orbeon-test,C=UY" -w orbeon2013  userpassword:', password) trimBlanks! !

!WAOrbeonLogin methodsFor: 'ldap_example' stamp: 'BrunoBB 11/01/2014 15:04'!
ldapExample_getLdapRols
	| str ldapResult rols |

	rols := OrderedCollection new.	
	str := self ldapExample_ldapQueryRole.

	ldapResult := (str subStrings: $#) select: [:e | ((e includesSubString: 'uniquemember')  or:[e includesSubString: 'uniqueMember']) and: [e includesSubString: 'cn:']].	
			
	ldapResult do: [:eachLdap | (eachLdap subStrings: Character lf) do: [:each | (each includesSubString: 'cn:') ifTrue:[rols add: each]]].

	^rols collect: [:each | (each subStrings: $:) last trimBlanks]! !

!WAOrbeonLogin methodsFor: 'ldap_example' stamp: 'BrunoBB 11/01/2014 15:04'!
ldapExample_ldapQueryRole

	^System performOnServer:
		'ldapsearch -x -D "cn=admin.orbeon,C=UY" -H ldap://10.255.5.111 -b "ou=tomcatroles,cn=orbeon-test,C=UY" "uniquemember=uid=', name,',ou=usuarios,cn=orbeon-test,C=UY" -w orbeon2013 '! !

!WAOrbeonLogin methodsFor: 'other' stamp: 'BrunoBB 02/18/2014 04:12'!
newUserFromLogin

	^OrbeonUser new
		name: name;
		addToCache;
		yourself! !

!WAOrbeonLogin methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 08:53'!
tryLogin
	| logedUser loginMode |

	loginMode := self getGemStoneServerConfiguration loginModeFor: 'orbeon-web'.
	(loginMode validateUser: name password: password) ifFalse: [^loginAttempts := loginAttempts + 1].

	logedUser := OrbeonUser getExistingOrNewUserNamed: name.

	self session user: logedUser.

	"self show: (WAOrbeonHandler on: OrbeonHandler default)."

	self show: WAOrbeonAdministrationPortal new.! !

!WAOrbeonLogin methodsFor: 'ldap_example' stamp: 'BrunoBB 11/01/2014 15:04'!
tryLogin2
	| logedUser serverResult |

	"self show: (WAOrbeonHandler on: (OrbeonHandler host: 'localhost' user: 'root' password: 'MYSQL'))"
	serverResult := self ldapExample_getLdapResultForCurrentUser.
	(serverResult = 'TRUE') ifFalse: [^self inform: 'Incorrect Login !!!!!!'].

	logedUser := OrbeonUser cache detect: [:each | each name = name] ifNone: [self newUserFromLogin].

	logedUser rols: self ldapExample_getLdapRols asSet.

	self session user: logedUser.

	self show: (WAOrbeonHandler on: OrbeonHandler default)! !

WASession subclass: #WAOrbeonSession
	instanceVariableNames: 'user password rols'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonSession methodsFor: 'other' stamp: 'BrunoBB 12/23/2013 17:47'!
isLoggedIn

    ^user isNil not! !

!WAOrbeonSession methodsFor: 'other' stamp: 'BrunoBB 12/23/2013 17:47'!
login: aString
    user := aString! !

!WAOrbeonSession methodsFor: 'other' stamp: 'BrunoBB 12/23/2013 17:47'!
logout
    user := nil! !

!WAOrbeonSession methodsFor: 'Accessing' stamp: 'BrunoBB 12/23/2013 17:47'!
password

   "Return the value of the instance variable 'password'."
   ^password! !

!WAOrbeonSession methodsFor: 'Updating' stamp: 'BrunoBB 12/23/2013 17:47'!
password: newValue

   "Modify the value of the instance variable 'password'."
   password := newValue! !

!WAOrbeonSession methodsFor: 'Accessing' stamp: 'BrunoBB 12/23/2013 17:47'!
rols

   "Return the value of the instance variable 'rols'."
   ^rols! !

!WAOrbeonSession methodsFor: 'Updating' stamp: 'BrunoBB 12/23/2013 17:47'!
rols: newValue

   "Modify the value of the instance variable 'rols'."
   rols := newValue! !

!WAOrbeonSession methodsFor: 'other' stamp: 'BrunoBB 12/23/2013 17:47'!
user
    ^ user! !

!WAOrbeonSession methodsFor: 'Updating' stamp: 'BrunoBB 12/23/2013 17:47'!
user: newValue

   "Modify the value of the instance variable 'user'."
   user := newValue! !

SEWAFApplicationPortal subclass: #WAOrbeonAdministrationPortal
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 09/30/2016 08:14'!
applicationIcon

	^SEWAFIconLibrary / #forms48Png! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 09/30/2016 08:08'!
applicationName

	^'Orbeon Alternative'! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 08:49'!
initialize

	super initialize.

	subTabChanged := false.

	self initializeNavigation.! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 10/20/2016 11:12'!
initializeNavigation
	| subMenu1 subMenu2  |

	navigation := SewafPortalMenu new iconLibrary: SEWAFIconLibrary.
	subMenu1 := (SewafSubMenuItem label: 'Applications' icon: #box148Png)
		addItem: (SewafCommandItem label: 'View Applications' command: #viewOrbeonApplications);
		yourself.
	subMenu2 := (SewafSubMenuItem label: 'Orbeon Summaries' icon: #actionsviewlistdetails48Png)
		addItem: (SewafCommandItem label: 'View Summary' command: #viewOrbeonSummary);
		addItem: (SewafCommandItem label: 'Create Graphics' command: #viewGraphics);
		addItem: (SewafCommandItem label: 'View Graphics Report' command: #viewGraphicsReports);
		yourself.
	navigation addItem: subMenu1;
		addItem: subMenu2.! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 08:57'!
logout

	self session logout.	
	self session unregister.
	self requestContext redirectTo: (self getGemStoneServerConfiguration gemstoneIP, '/orbeon')! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 09/20/2016 13:33'!
style2

^'/* Smart Devices*/
@media (max-width: 800px) {                  
   .smart-hide-width {
      display: none !!important;
   }
}
@media (max-height: 450px) {                  
   .smart-hide-height {
      display: none !!important;
   }
}
/* NEW CSS - REFACTORIZED */
/* START: HTML GENERAL */
body, html, main {
	margin: 0;
	width: 100%;
	height: 100%;
	overflow-y: hidden;
	background-color: #BCBCBC;
}
#screen-all {
	height: 100%;
}
/* END: HTML GENERAL */
/* START: TOP AREA */
#top-area {
	display: inline-flex;
	width: 100%;
	background-color: gray;
	padding-top: 2px;
}
#top-app-icon-area {
	display: inline-flex;
	padding-left: 10px;
	width: 20%;
}
#top-app-icon-area h1{
	margin-top: 5px;
	color: gainsboro;
}
#top-app-version-name {
	margin-top: -30px;
	font-size: 14px;
}
#top-logout a {
	text-decoration: none;
}
#top-logout output {
	font-size: 90%;
}
#top-menu-area {
	width: 80%;
	margin-top: 5px;
}
.top-menu-item {
	float: left;
	margin-left: 5%;
}
.top-menu-item a {
	color: white;
	text-decoration: none;
}
.top-menu-item a output {
	font-size: 120%;
}
.top-menu-item img {
	display: block;
	margin-left: auto;
	margin-right: auto;
}
.top-menu-item-triangle {
	border-style: solid;
	border-width: 0px 10px 10px;
	border-color: transparent transparent #D3D3D3;
	color: #FFF;
	width: 0px;
	height: 0px;
	margin-left: auto;
	margin-right: auto;
}
#top-submenu-area {
	height: 40px;
	background-color: lightgray;
}
.top-area-close-icon {
	float: right;
	margin-top: 3px;
	margin-right: 5px;
}
.top-sub-item-selected output {
	font-family: Times New Roman;
	font-size: 20px;
	color: rgb(64, 64, 64);
}
.top-sub-item-selected a, .top-sub-item-unselected a {
	text-decoration: none;
}
.top-sub-item-selected, .top-sub-item-unselected {
	float: left;
	padding-top: 10px;
	margin-left: 10px;
	margin-right: 30px;
}
.top-sub-item-unselected output {
	font-family: Times New Roman;
	font-size: 20px;
	color: #808080;
}
.top-sub-item-selected, .top-sub-item-unselected output:hover {
	color: rgb(64, 64, 64);
}
/* END: TOP AREA */
/* START: BOTTOM AREA */
/* END: BOTTOM AREA */
/* START: COMPONENT AREA */
#component-area {
	background-color: #BCBCBC;
	height: 100%;
}
#component-area hr {
	margin-top: 0px;
	margin-bottom: 0px;
}
/*START: SEARCH AREA*/
#top-search-area {
	width: 100%;
	display: inline-flex;
}
.top-search-area-box-shadow {
	box-shadow: 2px 2px 2px 0px rgba(11, 10, 10, 0.8);
}
#top-search-show-hide-area {
	display: inline-flex;	
}
#top-search-switch-icon {
	display: inline-flex;
	float: right;
	margin-top: -25px;
}
#top-search-area form {
	width: 100%;
}
#top-search-area form fieldset {
	border-radius: 6px;
	margin-bottom: 0px;
	padding-bottom: 5px;
	border: none;
}
#top-search-area form fieldset label {
	margin-right: 10px;
}
#top-search-area form fieldset input[type="text"], 
#top-search-area form fieldset select {
	border-radius: 6px;
	margin-right: 20px;
	border-color: darkgray;
	width: 100%;
}
.top-search-div {
	float: left;
	width: 200px;
	margin-right: 15px;
}
.top-search-legend {
	font-weight: bold;
	text-decoration: underline;
}
#top-search-filters-one {
	display: inline-block;
	width: 200px;
	margin-top: -5px;
}
#top-search-filters-two {
	display: inline-block;
	width: 200px;
	margin-top: -15px;
}
#top-search-filters-one input {
	border-radius: 6px;
	margin-right: 20px;
	border-color: #A9A9A9;
}
#top-search-filters-two input {
	border-radius: 6px;
	margin-right: 20px;
	border-color: #A9A9A9;
}
.top-search-vertical-line {
	width: 8px;
	background-color: lightgray;
	float: left;
	margin-right: 10px;
}
/*END: SEARCH AREA*/
/*START: INNER COMPONENTS*/
.artifact-definition {
    padding: 5px 15px 15px;
    float: left;
    margin: 10px;
    border-radius: 10px;
    background-color: #868686;
    width: 20%;
    height: 20%;
    overflow-y: auto;
}
#artifact-definitions {
    display: inline-block;
	width: 100%;
}
.category-circle {
	width: 20px;
	height: 20px;
	border-radius: 10px;
	float: left;
	margin-bottom: 3px;
	margin-left: 2px;
	text-align: center;
}
.category-label {
	float: right;
	text-decoration: none;
	color: white;
	border-radius: 10px;
	padding-left: 5px;
	padding-right: 5px;
	margin-left: 5px;
	margin-right: 5px;
}
.centered-forms {
	margin-left: 1%;
	margin-right: 2%;
	margin-top: 1%;
}
.centered-forms-width38 {
	width: 38%;
}
.centered-forms form { 
	border-radius: 10px;
	border-style: inset;
	background-color: #7A7557;
	padding: 5px;
	border-width: 2px;
	width: 100%;
}
.centered-forms form fieldset {
	border: none;
} 
.centered-forms form input[type="text"]{ 
	border-radius: 10px;
	border-style: inset;
	width: 350px;
	margin-bottom: 5px;
}
.centered-forms form input[type="submit"] { 
	border-radius: 10px;
	width: 150px;
	border-right: 10px;
	margin-left: 3%;
	margin-right: 3%;
	margin-top: 1%;
}
.centered-forms form input[type="file"] { 
	border-radius: 10px;
	width: 400px;
	border-right: 10px;
	margin-top: 10px;
	margin-bottom: 5px;
}
.centered-forms form label { 
	display: block;
	margin-top: 10px;
}
.centered-forms form select { 
	border-radius: 10px;
	border-style: inset;
	display: block;
	width: 350px;
	margin-bottom: 10px;
}
.centered-forms form p { 
	margin-top: 10px;
	font-size: 20px;
	font-style: italic;
	text-align: right;
}
.centered-forms legend {
	text-align: center;
	font-size: 20px;
	color: black;
}
.centered-forms output {
	text-align: center;
	font-size: 16px;
	color: #EADDDD;
}
.centered-forms ul {
	border-radius: 15%;
	background-color: #F5F5DC;
}
.free-selected-process {
	float: right;
}
#free-tasks-list {
	overflow-y: auto;
	height: 625px;
}
#free-tasks-list ul {
	list-style-type: none;
	margin-top: 0px;
}
#granted-transitions {
	width: 60%;
	margin-left: auto;
	margin-right: auto;
}
.hide-lateral-left-list {
	float: left;
}
.inform-box {
	padding: 10px;
	border-radius: 10px;
	border: 1px solid;
	color: rgb(205, 10, 10);
	background-color: rgb(254, 241, 236);
	margin-top: 10px;
	margin-left: 15px;
	margin-bottom: 15px;
	width: inherit;
	margin-right: 20px;
}
#item-customized-component {
	overflow-y: scroll;
	height: 60%;
}
.lateral-left-list {
	width: 19.5%;
	display: inline-block;
	height: 100%;
	font-size: 90%;
	box-shadow: 2px 2px 2px 0px rgba(11, 10, 10, 0.8) inset;
}
.lateral-left-list ul {
	list-style-type: none;
	padding-left: 2px;
}
.lateral-left-list a {
	text-decoration: none;
	color: black;
}  
.lateral-left-list ul li {
	margin-bottom: 10px;
}
.lateral-left-list-icon {
	width: 32px;
	float: left;
	padding-left: 5px;
	padding-top: 5px;
}
.lateral-left-list-item-selected {
	background-color: beige;
	border-radius: 10px;
	padding-left: 10px;
}
.lateral-left-list-item-unselected {
}
.lateral-left-list-item-summary-data {
	display: inline-block;
	color: rgb(37, 46, 146);
}
.lateral-left-list-item-summary-data output {
	display: block;
	margin-left: auto;
	margin-right: auto;
}
.lateral-left-list-item-title-selected {
	font-size: 150%;
}
.lateral-left-list-item-title-unselected {
	font-size: 150%;
}
.lateral-right-component-additional-data {
	text-align: center;
}
.lateral-right-component-additional-data span {
	font-style: italic;
	margin-right: 5px;
	margin-left: 15px;
	color: #8A8A59;
}
.lateral-right-component-additional-data output {
	color: darkblue;
}
.lateral-right-component {
	height: 100%;
	float: right;
	background-color: #BCBCBC;
}
.lateral-right-component-description {
	background-color: #E4E49E;
	padding-bottom: 15px;
	margin-left: 2px;
    margin-top: 2px;
    margin-right: 2px;
}
.lateral-right-component-main-data {
	font-size: 150%;
	text-align: center;
	padding-top: 1px;
}
.lateral-right-component-main-data a {
	float: right;
}
.lateral-right-component-width80 {
	width: 80.5%;
}
.lateral-right-component-width100 {
	width: 100%;
}
.lateral-right-component-secondary-data {
	text-align: center;
}
.lateral-right-component-secondary-data span {
	font-style: italic;
	margin-right: 5px;
	margin-left: 15px;
	color: #8A8A59;
}
.lateral-right-component-secondary-data output {
	color: darkblue;
}
.list-lateral-element {
	width: 90%;
}
.list-lateral-element-custom {
	float: right;
	width: 10%;
}
.list-lateral-item {
	display: flex;
	margin-bottom: 5px;
	margin-top: 5px;
}
.monitor-list-icon {
	float: left;
	display: inline;
}
.monitor-list-icon-2 {
	float: right;
	display: inline;
}
.monitor-list-icon-height75 {
	height: 75px;
}
.monitor-list-icon-height90 {
	height: 110px;
}
.monitor-list-item-data {}
.monitor-list-item-data span {
	font-style: italic;
}
.monitor-list-item-data output {
	color: #231D81;
	margin-left: 10px;
	float: right;
}
.monitor-list-item-summary {
	display: inline-block;
    margin: 20px;
    padding: 20px;
    background-color: white;
    border-radius: 10px;
}
.monitor-list-item-summary span {
	font-style: italic;
}
.new-process-options {
    width: 50%;
    float: left;
}
#new-process-options-form {
	display: inline-flex;
}
#new-process-list  ul {
	list-style-type: none;
	margin-top: 0px;
}
#orbeon-form-frame {
	height: 400px;
} 
#orbeon-form {
	height: 100%;
}
#orbeon-form iframe {
	width: 100%;
	height: 100%;
}
#process-definition {
	height: 100%;
	box-shadow: 2px 2px 2px 0px rgba(11, 10, 10, 0.8) inset;
}
#process-assigment-transitions {
	margin-left: 10px;
	margin-top: 10px;
	overflow-y: auto;
	height: 440px;
}
.process-transition-icon-collapse {
	float: right;
}
.process-transition-finished {
	padding: 15px;
	padding-top: 5px;
	float: left;
	margin: 10px 10px 10px 10px;
	border-radius: 25px;
	background-color: #8CBD80;
	width: 28%;
	height: 60%;
	overflow-y: auto;
	box-shadow: 0px 0px 3px 0px rgba(11, 10, 10, 0.8);
}
.process-transition-gateway {
	padding: 15px;
	padding-top: 5px;
	float: left;
	margin: 10px 10px 10px 10px;
	border-radius: 25px;
	background-color: #ADADAD;
	width: 28%;
	height: 60%;
	overflow-y: auto;
}
.process-transition-running {
	padding: 15px;
	padding-top: 5px;
	float: left;
	margin: 10px 10px 10px 10px;
	border-radius: 25px;
	width: 28%;
	height: 60%;
	overflow-y: auto;
	background-color: #80A0BD;
	box-shadow: 0px 0px 3px 0px rgba(11, 10, 10, 0.8);
}
.process-transition-collapsed {
	height: 1%;
}
.process-transition-expanded {
	height: 60%;
}
.transition-data span {
	margin-right: 20px;
	font-style: italic;
	color: #565656;
    display: inline-table;
}
.transition-data output  {
	color: rgb(50, 51, 122);
	float: right;
}
.unique-centered-table {
	margin-left: auto;
	margin-right: auto;
	border: 2px solid #000;
	border-radius: 10px;
	margin-top: 30px;

}
.unique-centered-table-width30 {
	width: 30%;
}
.unique-centered-table-width70 {
	width: 70%;
}
.unique-centered-table  table {
	width: 100%;
}
.unique-centered-table fieldset {
	border: 0px none;
	margin-left: auto;
	margin-right: auto;
	width: 150px;
	margin-top: 20px;
}
.unique-centered-table fieldset  input {
	border-radius: 10px
}
.unique-wide-list-icon {
	width: 2.5%;
	float: left;
	display: inline;
}
.unique-wide-list-icon-height75 {
	height: 75px;
}
.unique-wide-list-icon-height90 {
	height: 110px;
}
.unique-wide-list-item-data {}
.unique-wide-list-item-data span {
	font-style: italic;
}
.unique-wide-list-item-data output {
	color: #231D81;
	margin-left: 10px;
}
.unique-wide-list-item-summary {}
.unique-wide-list-item-summary span {
	font-style: italic;
}
/*END: INNER COMPONENTS*/
/* END: COMPONENT AREA */
/*   ESTILES IN TEST   */
.batch {
	border-radius: 5px;
	padding: 5px;
	background: beige;
	margin-right: 2px;
	margin-left: 2px;
	display: inline-block;
    text-decoration: none;
    color: black;
}
.batch-div-bottom {
	margin-top: -8px;
	margin-left: 15px;
}
.batch-div-bottom-with-buttom {
	margin-top: -65px;
	margin-left: 25px;
}
.batch-div-lateral-top {
	margin-top: 10px;
	margin-bottom: -8px;
	margin-left: 5px;
}
.centered-unique-form {
	color: black;
	background-color: #BCBCBC;
	font-size: 18px;
	font-style: normal;
	border-radius: 5px;
	border: 1px solid #BCBCBC;
	border-width: 1px 1px 3px;
	margin-bottom: 10px;
	padding: 10px;
}
.centered-unique-form form {
	max-width: 350px;
	margin: 10px auto;
	padding: 10px 20px;
	background: #898a8a;
	border-radius: 8px;
}
.centered-unique-form fieldset {
	margin-bottom: 5px;
	border: none;
}
.centered-unique-form h1 {
	margin: 0 0 30px 0;
	text-align: center;
}
.centered-unique-form input[type="text"],
.centered-unique-form input[type="password"], 
.centered-unique-form input[type="date"],
.centered-unique-form input[type="datetime"], 
.centered-unique-form input[type="email"],
.centered-unique-form input[type="number"], 
.centered-unique-form input[type="search"],
.centered-unique-form input[type="tel"], 
.centered-unique-form input[type="time"],
.centered-unique-form input[type="url"], 
.centered-unique-form textarea, 
.centered-unique-form select {
	background: rgba(255,255,255,0.1);
	font-size: 16px;
	height: auto;
	margin: 0;
	outline: 0;
	width: 100%;
	background-color: white;
	color: black;
	box-shadow: 0 1px 0 rgba(0,0,0,0.03) inset;
	margin-bottom: 10px;
}
.centered-unique-form input[type="radio"], 
.centered-unique-form input[type="checkbox"] {
	margin: 0 4px 8px 0;
}
.centered-unique-form select {
	padding: 6px;
	border-radius: 2px;
}
.centered-unique-form label {
	display: block;
	margin-bottom: 8px;
}
.centered-unique-form label.light {
	font-weight: 300;
	display: inline;
}
/* BASIC BLOCK STYLES */
.display-block {
	display: block;
}
.display-inline-block {
	display: inline-block;
}
.float-left {
	float: left;
}
.float-none {
	float: none;
}
.height180 {
	height: 180px;
}
.height250 {
	height: 250px;
}
.height300 {
	height: 300px;
}
.margin-left-5px {
	margin-left: 5px;
}
.margin-right-20per {
	margin-right: 20%;
}
.margin-top-20px {
	margin-top: 20px;
}
.margin-top-15px {
	margin-top: 15px;
}
.margin-top-10px {
	margin-top: 10px;
}
.margin-bottom-15px {
	margin-bottom: 15px;
}
.margin-bottom-10px {
	margin-bottom: 10px;
}
.underline {
	text-decoration: underline;
}
.no-underline {
	text-decoration: none;
}
.width-50per {
	width: 50%;
}
/* RIGHT LATERAL TABLE STYLES */
.default-gray-table table {
	color:black;
	font-size:18px;
	background:#898a8a;
	margin-top: 20px;
	margin-bottom: 10px;
	margin-left: 10px;
	margin-right: 20px;
	border:#ccc 1px solid;

	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	border-radius:3px;

	-moz-box-shadow: 0 1px 2px #d1d1d1;
	-webkit-box-shadow: 0 1px 2px #d1d1d1;
	border-radius: 10px;
	padding-bottom: 2px;
	padding-left: 2px;
	padding-right: 2px;
}
.default-gray-table table a:link {
	color: #666;
	font-weight: bold;
	text-decoration:none;
}
.default-gray-table table a:visited {
	color: #999999;
	font-weight:bold;
	text-decoration:none;
}
.default-gray-table table a:active,
.default-gray-table table a:hover {
	color: black;
	text-decoration:underline;
}
.default-gray-table table th {
	padding:10px 15px 5px 15px;
	background-color: #898a8a;
}
.default-gray-table table th:first-child {
	text-align: left;
	padding-left:20px;
}
.default-gray-table table tr:first-child th:first-child {
	-moz-border-radius-topleft:5px;
	-webkit-border-top-left-radius:5px;
	border-top-left-radius:5px;
}
.default-gray-table table tr:first-child th:last-child {
	-moz-border-radius-topright:3px;
	-webkit-border-top-right-radius:3px;
	border-top-right-radius:3px;
}
.default-gray-table table tr {
	text-align: center;
	padding-left:20px;
}
.default-gray-table table td:first-child {
	text-align: left;
	padding-left:20px;
	border-left: 0;
}
.default-gray-table table td {
	padding: 5px;
}
.default-gray-table table tr.even td {
	background: #f6f6f6;
	background: -webkit-gradient(linear, left top, left bottom, from(#f8f8f8), to(#f6f6f6));
	background: -moz-linear-gradient(top,  #f8f8f8,  #f6f6f6);
}
.default-gray-table table tr:last-child td {
	border-bottom:0;
}
.default-gray-table table tr:first-child td:first-child {
	-moz-border-radius-topleft:5px;
	-webkit-border-top-left-radius:5px;
	border-top-left-radius:5px;
}
.default-gray-table table tr:first-child td:last-child {
	-moz-border-radius-topright:5px;
	-webkit-border-top-right-radius:5px;
	border-top-right-radius:5px;
}
.default-gray-table table tr:last-child td:first-child {
	-moz-border-radius-bottomleft:5px;
	-webkit-border-bottom-left-radius:5px;
	border-bottom-left-radius:5px;
}
.default-gray-table table tr:last-child td:last-child {
	-moz-border-radius-bottomright:5px;
	-webkit-border-bottom-right-radius:5px;
	border-bottom-right-radius:5px;
}
.default-gray-table table tr:hover td {
	background: #f2f2f2;
	background: -webkit-gradient(linear, left top, left bottom, from(#f2f2f2), to(#f0f0f0));
	background: -moz-linear-gradient(top,  #f2f2f2,  #f0f0f0);	
}'! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 09/21/2016 07:16'!
updateRoot: anHtmlRoot

    super updateRoot: anHtmlRoot.

    SEWAFCssLibrary default updateRoot: anHtmlRoot.

	anHtmlRoot stylesheet url: (SEWAFCssLibrary / #mainOrbeonCss).! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 08:59'!
versionName

	^'2016 q2 v2.0'! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 09/23/2016 07:47'!
viewGraphics

	^(arena class == OrbeonGraphicsComposite2) 
	ifTrue: [arena]
	ifFalse: [OrbeonGraphicsComposite2 parent: self]! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 10/20/2016 11:14'!
viewGraphicsReports

	^(arena class == OrbeonChartsReportComposite) 
	ifTrue: [arena]
	ifFalse: [OrbeonChartsReportComposite parent: self]! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 09:40'!
viewOrbeonApplications

	^(arena class == WAOrbeonApplicationsComposite)
	ifTrue: [arena]
	ifFalse: [WAOrbeonApplicationsComposite parent: self]! !

!WAOrbeonAdministrationPortal methodsFor: 'other' stamp: 'BrunoBB 07/03/2016 08:59'!
viewOrbeonSummary! !

SEWAFWebListPanel subclass: #OrbeonRolListPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:07'!
addObject: anObject
	"The paramenter <anObject> perform the <addSelector> of the receiver with the <model>.
	The <addSelector> method should link <anObject> with <model> is some convinience way"
	| selectedObject |
"
	selectedObject := self chooseFrom: (PersonaUAIP cache collect: [:e | e name]) caption: 'Seleccione Persona' onAnswer: [:each | each].
mainPanel halt.
	^model perform: addSelector with: selectedObject"! !

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:08'!
editObject: anObject

	"mainPanel show: (PersonaUAIPWebPanel new model: anObject; yourself) "! !

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:01'!
renderContentOn: html

	html div id: 'arena';
		with: [html heading level2 with: 'User List'.
			html render: self userList]! !

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:06'!
style
 ^ '
 body{
     background-color: #aeeeee;
 }
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 5px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: #f7eeee;
 }

#tabs{
     list-style-type: none;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 100%;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 0.5em;
     padding: 0.5em;
     font-size: 12px;
     text-decoration: none
; }

#tabs li a:hover{
     font-weight: bold;
 }
 '! !

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:01'!
userList
	| columns |

	columns := OrderedCollection new.
	columns 
		add: (Array with: 'Username' with: #name  with:  [ :each | self inform: each name onAnswer: [ ] ]);
		add: (Array with: 'Password' with: #password  with:  nil);
		asArray;
		yourself.

	^self newReportWithProperties: columns! !

SEWAFWebListPanel subclass: #OrbeonUserListPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:10'!
addObject: anObject
	"The paramenter <anObject> perform the <addSelector> of the receiver with the <model>.
	The <addSelector> method should link <anObject> with <model> is some convinience way"
	| selectedObject |
"
	selectedObject := self chooseFrom: (PersonaUAIP cache collect: [:e | e name]) caption: 'Seleccione Persona' onAnswer: [:each | each].
mainPanel halt.
	^model perform: addSelector with: selectedObject"! !

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:10'!
editObject: anObject

	"mainPanel show: (PersonaUAIPWebPanel new model: anObject; yourself) "! !

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:02'!
renderContentOn: html

	html div id: 'arena';
		with: [html heading level2 with: 'User List'.
			html render: self userList]! !

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:10'!
style
 ^ '
 body{
     background-color: #aeeeee;
 }
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 5px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: #f7eeee;
 }

#tabs{
     list-style-type: none;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 100%;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 0.5em;
     padding: 0.5em;
     font-size: 12px;
     text-decoration: none
; }

#tabs li a:hover{
     font-weight: bold;
 }
 '! !

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:02'!
userList
	| columns |

	columns := OrderedCollection new.
	columns 
		add: (Array with: 'Username' with: #name  with:  [ :each | self inform: each name onAnswer: [ ] ]);
		add: (Array with: 'Password' with: #password  with:  nil);
		asArray;
		yourself.

	^self newReportWithProperties: columns! !
